/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
/*
 * $Header: /cvs/glassfish/admin-cli/cli-api/src/java/com/sun/cli/jmx/cmd/GetSetCmd.java,v 1.3 2005/12/25 03:45:36 tcfujii Exp $
 * $Revision: 1.3 $
 * $Date: 2005/12/25 03:45:36 $
 */
 
package com.sun.cli.jmx.cmd;


import com.sun.cli.jmx.support.ResultsForGetSet;
import com.sun.cli.jmx.support.CLISupportMBeanProxy;
import com.sun.cli.util.stringifier.*;

public abstract class GetSetCmd extends JMXCmd
{
		protected
	GetSetCmd( final CmdEnv env )
	{
		// disallow instantiation
		super( env );
	}
	
		int
	getNumRequiredOperands()
	{
		return( 1 );
	}
	
		String
	getAttributes()
	{
		// guaranteed to be at least one via getNumRequiredOperands();
		return( getOperands()[ 0 ] );
	}
	
		String []
	getTargets()
	{
		final String []		operands	= getOperands();
		String []	targets	= null;
		
		if ( operands.length == 1 )
		{
			// one operand; that is the attribute list
			// so get attributes on current target
			targets	= getEnvTargets( );
		}
		else
		{
		
			// first operand is attributes, subsequent are the targets
			targets	= new String [ operands.length - 1 ];
			
			for( int i = 0; i < targets.length; ++i )
			{
				targets[ i ]	= operands[ i + 1 ];
			}
		}
		
		return( targets );
	}
}


















