/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
/*
 * $Header: /cvs/glassfish/admin-cli/cli-api/src/java/com/sun/cli/jmx/support/StandardAliasesIniter.java,v 1.3 2005/12/25 03:45:50 tcfujii Exp $
 * $Revision: 1.3 $
 * $Date: 2005/12/25 03:45:50 $
 */
 

package com.sun.cli.jmx.support;

import javax.management.MBeanServerConnection;

import com.sun.cli.jmx.support.CLISupportMBeanProxy;

public final class StandardAliasesIniter
{
		private
	StandardAliasesIniter()
	{
		// don't allow instantiation
	}
	
		private static void
	initAlias( AliasMgrMBean aliasMgr, String name, String value )
		throws Exception
	{
		aliasMgr.deleteAlias( name );
		aliasMgr.createAlias( name, value );
	}
	
		public static void
	init( AliasMgrMBean	aliasMgr )
	{
		try
		{
			initAlias( aliasMgr, StandardAliases.ALL_ALIAS, CLISupportStrings.ALL_TARGET );
			initAlias( aliasMgr, StandardAliases.CLI_ALIAS, CLISupportStrings.CLI_SUPPORT_TARGET );
			initAlias( aliasMgr, StandardAliases.ALIAS_MGR_ALIAS, CLISupportStrings.ALIAS_MGR_TARGET );
		}
		catch( Exception e )
		{
			// ignore
			e.printStackTrace();
		}
	}
};




		