/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
/*
 * $Header: /cvs/glassfish/admin-cli/cli-api/src/java/com/sun/cli/util/stringifier/AttributeListStringifier.java,v 1.3 2005/12/25 03:46:02 tcfujii Exp $
 * $Revision: 1.3 $
 * $Date: 2005/12/25 03:46:02 $
 */
 
package com.sun.cli.util.stringifier;

import java.util.Iterator;

import javax.management.Attribute;
import javax.management.AttributeList;


public final class AttributeListStringifier implements Stringifier
{
	final String	mDelim;
	
	public final static AttributeListStringifier	DEFAULT	= new AttributeListStringifier();
	
		public
	AttributeListStringifier()
	{
		this( "\n" );
	}
	
		public
	AttributeListStringifier( String delim )
	{
		mDelim	= delim;
		
	}
		public String
	stringify( Object o )
	{
		final AttributeList	attrList	= (AttributeList)o;
		final Iterator	iter	= attrList.iterator();
		
		return( IteratorStringifier.stringify( iter, mDelim ) );
	}
}
