/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.cli.framework;

import java.io.IOException;


/**
 *  interface class of InputStream object for UserInputImpl
 */
public interface IUserInput
{
    /**
       Closes the underlying input stream.
    */
    public void	close() throws IOException;


    /**
     *  Returns a String representation of users response.
     */
    public String getLine() throws IOException;


    /**
     *  Returns a Character representation of users response.
     */
    public int getChar() throws IOException;


    /**
     *  Set character encoding in user input stream
     */
    public void setEncoding(String sEncoding) throws IOException;
}

