/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 *   $Id: WarningException.java,v 1.3 2005/12/25 03:47:29 tcfujii Exp $
 *   @author: alexkrav
 *
 *   $Log: WarningException.java,v $
 *   Revision 1.3  2005/12/25 03:47:29  tcfujii
 *   Updated copyright text and year.
 *
 *   Revision 1.2  2005/06/27 21:19:40  tcfujii
 *   Issue number: CDDL header updates.
 *
 *   Revision 1.1.1.1  2005/05/27 22:52:02  dpatil
 *   GlassFish first drop
 *
 *   Revision 1.2  2004/11/14 07:04:16  tcfujii
 *   Updated copyright text and/or year.
 *
 *   Revision 1.1  2004/10/14 01:16:03  kravtch
 *   New com.sun.enterprise.admin.WarningException.java is created for delivering messages without changing CLI command state to "command failed".
 *   CLI should add code to print its message and ignore Exception.
 *   ClustersConfigBean an admin-ee and localStrings are modified to support "not all servers started" case with throwing WarniungException.
 *   Reviewer: Sreeni
 *   Tests: QLT-EE
 *   Bug #6175992
 *
 *
 *   WarningException - is runtime exception for providing warning messages for successfully executed commands
 *   (CLI/GUI framework should treat such exception as normal command execution)
 *
*/

package com.sun.enterprise.admin;

public class WarningException extends RuntimeException
{
    /**
        Creates new <code>WarningException</code> without detail message.
    */
    
    public WarningException()
    {
        super();
    }


    /**
        Constructs an <code>WarningException</code> with the specified detail message.
        @param msg the detail message.
    */
    public WarningException(String msg)
    {
        super(msg);
    }
}
