/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 *   $Id: MBeanConfigInstanceNotFoundException.java,v 1.3 2005/12/25 03:47:30 tcfujii Exp $
 *   @author: alexkrav
 *
 *   $Log: MBeanConfigInstanceNotFoundException.java,v $
 *   Revision 1.3  2005/12/25 03:47:30  tcfujii
 *   Updated copyright text and year.
 *
 *   Revision 1.2  2005/06/27 21:19:41  tcfujii
 *   Issue number: CDDL header updates.
 *
 *   Revision 1.1.1.1  2005/05/27 22:52:02  dpatil
 *   GlassFish first drop
 *
 *   Revision 1.3  2004/11/14 07:04:17  tcfujii
 *   Updated copyright text and/or year.
 *
 *   Revision 1.2  2004/02/20 03:56:08  qouyang
 *
 *
 *   First pass at code merge.
 *
 *   Details for the merge will be published at:
 *   http://javaweb.sfbay.sun.com/~qouyang/workspace/PE8FCSMerge/02202004/
 *
 *   Revision 1.1.4.1  2004/02/02 07:25:14  tcfujii
 *   Copyright updates notices; reviewer: Tony Ng
 *
 *   Revision 1.1  2003/09/16 23:19:11  kravtch
 *   Bug #4923642
 *   reviewer: Abhijit
 *   Special MBeanConfigInstanceNotFoundException will be thrown by getXXX()/getXXXbyYYY(name) operations, returning ObjectName in case if correspondent element in domain.xml does not exist.
 *   This exception will be handled specifically on GUI invoke() operation. So, this exception should not be used for other cases (thrown or extended).
 *
 *
 *
*/

package com.sun.enterprise.admin.config;

// This Exception can be ONLY (!!!!) for getXXX()/getXXXbyYYY(name) operation returning ObjectName
// GUI uses its type to special treatment
// please contact GUI team before using it (throw or extend)
public class MBeanConfigInstanceNotFoundException extends MBeanConfigException
{
    /**
        Creates new <code>MBeanConfigException</code> without detail message.
    */
    
    public MBeanConfigInstanceNotFoundException()
    {
        super();
    }


    /**
        Constructs an <code>MBeanConfigException</code> with the specified detail message.
        @param msg the detail message.
    */
    public MBeanConfigInstanceNotFoundException(String msg)
    {
        super(msg);
    }
}
