/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 *   $Id: MBeanMetaException.java,v 1.3 2005/12/25 03:47:36 tcfujii Exp $
 *   @author: alexkrav
 *
 *   $Log: MBeanMetaException.java,v $
 *   Revision 1.3  2005/12/25 03:47:36  tcfujii
 *   Updated copyright text and year.
 *
 *   Revision 1.2  2005/06/27 21:19:43  tcfujii
 *   Issue number: CDDL header updates.
 *
 *   Revision 1.1.1.1  2005/05/27 22:52:02  dpatil
 *   GlassFish first drop
 *
 *   Revision 1.6  2004/11/14 07:04:20  tcfujii
 *   Updated copyright text and/or year.
 *
 *   Revision 1.5  2004/02/20 03:56:14  qouyang
 *
 *
 *   First pass at code merge.
 *
 *   Details for the merge will be published at:
 *   http://javaweb.sfbay.sun.com/~qouyang/workspace/PE8FCSMerge/02202004/
 *
 *   Revision 1.4  2003/11/20 22:41:27  sridatta
 *   implemented registration of all config mbeans. see javadoc for more details.
 *
 *   Revision 1.3.4.1  2004/02/02 07:25:18  tcfujii
 *   Copyright updates notices; reviewer: Tony Ng
 *
 *   Revision 1.3  2003/06/25 20:03:40  kravtch
 *   1. java file headers modified
 *   2. properties handling api is added
 *   3. fixed bug for xpathes containing special symbols;
 *   4. new testcases added for jdbc-resource
 *   5. introspector modified by not including base classes operations;
 *
 *
*/

package com.sun.enterprise.admin.meta;

public class MBeanMetaException extends Exception
{
    /**
        Creates new <code>MBeanMetaException</code> without detail message.
    */
    
    public MBeanMetaException()
    {
        super();
    }


    /**
        Constructs an <code>MBeanMetaException</code> with the specified detail message.
        @param msg the detail message.
    */
    public MBeanMetaException(String msg)
    {
        super(msg);
    }
    
   /**
    * Constructs an <code>MBeanMetaException</code> with the specified 
    * detail message and a chained exception.
    * @param msg the detail message.
    * @param ex chained exception
    */
    public MBeanMetaException(String msg, Exception ex)
    {
        super(msg, ex);
    }
}
