/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
package com.sun.appserv.management.base;


import java.util.logging.Logger;

/**
	Logger for AMX client code.
 */
public class AMXClientLogger extends AMXLoggerBase
{
	private static Logger	INSTANCE	= null;
	
		private
	AMXClientLogger()
	{
		super( LoggerSupport.AMX_CLIENT_LOGGER, null );
	}
	
	/**
	    Get the (single) instance of this logger.
	 */
		public static synchronized Logger
	getInstance()
	{
		if ( INSTANCE == null )
		{
			INSTANCE	= Logger.getLogger( LoggerSupport.AMX_CLIENT_LOGGER );
		}
		
		return( INSTANCE );
	}
}
