/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
/*
 
 * $Header: /cvs/glassfish/admin-core/mbeanapi/src/java/com/sun/appserv/management/base/Attic/NotificationEmitterServiceKeys.java,v 1.4 2005/12/25 03:48:58 tcfujii Exp $
 * $Revision: 1.4 $
 * $Date: 2005/12/25 03:48:58 $
 */

package com.sun.appserv.management.base;

/**
	The keys for looking up instances of {@link NotificationEmitterService}.
	@since AppServer 9.0
 */
public final class NotificationEmitterServiceKeys
{
	private	NotificationEmitterServiceKeys()	{}
	
	/**
		Key for looking up the global {@link NotificationEmitterService} using
		{@link com.sun.appserv.management.DomainRoot#getNotificationEmitterServiceMap}.
		This particular one is the general service for the whole domain.
		@see com.sun.appserv.management.DomainRoot#getDomainNotificationEmitterService
	 */
	public static final String	DOMAIN_KEY	= "DomainNotificationEmitterService";
	
}
