/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
/*
 * $Header: /cvs/glassfish/admin-core/mbeanapi/src/java/com/sun/appserv/management/config/Attic/AccessLogConfigKeys.java,v 1.3 2005/12/25 03:49:10 tcfujii Exp $
 * $Revision: 1.3 $
 * $Date: 2005/12/25 03:49:10 $
 */

package com.sun.appserv.management.config;


/**
	Keys for use with {@link HTTPServiceConfig#createAccessLogConfig}.
	
	All Map values associated with a key are of class java.lang.String
	unless otherwise documented.
 */
public final class AccessLogConfigKeys
{
	private	AccessLogConfigKeys()	{}
	public static final String FORMAT_KEY			=	"Format";
	
	/**
		Value is of class java.lang.String.
		See {@link AccessLogConfig#setRotationPolicy}
	 */
	public static final String ROTATION_POLICY_KEY	=	"RotationPolicy";
	public static final String ROTATION_SUFFIX_KEY	=	"RotationSuffix";
	public static final String ROTATION_ENABLED_KEY	=	"RotationEnabled";
	public static final String ROTATION_INTERVAL_IN_MINUTES_KEY	=	"RotationIntervalInMinutes";
	public static final String ROTATION_SIZE_LIMIT_IN_BYTES_KEY	=	"RotationSizeLimitInBytes";
}