/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
/*
 * $Header: /cvs/glassfish/admin-core/mbeanapi/src/java/com/sun/appserv/management/config/Attic/LbPolicyTypeValues.java,v 1.4 2005/12/25 03:49:41 tcfujii Exp $
 * $Revision: 1.4 $
 * $Date: 2005/12/25 03:49:41 $
 */

package com.sun.appserv.management.config;

/**
   <b>EE only</b>
   Values which are legal to pass for the lb-policy-type.
   See {@link ClusterRefConfig#setLBPolicy}.
 */
public final class LbPolicyTypeValues {

    /**
      The weights of the instance are considered while load balancing. 
     */
    public static final String WEIGHTED_ROUND_ROBIN	= "WeightedRoundRobin";

    /**
      The policy is implemented by a shared library which is loaded by the 
      load balancer and the instance selected is delegated to the loaded module.
     */
    public static final String USER_DEFINED	= "UserDefined";

    /**
      The default policy. 
     */
    public static final String ROUND_ROBIN	= "RoundRobin";
}
