/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
/*
 * $Header: /cvs/glassfish/admin-core/mbeanapi/src/java/com/sun/appserv/management/config/Attic/MonitoringServiceConfig.java,v 1.5 2006/03/09 20:30:24 llc Exp $
 * $Revision: 1.5 $
 * $Date: 2006/03/09 20:30:24 $
 */


package com.sun.appserv.management.config;

import com.sun.appserv.management.base.XTypes;

import java.util.Map;



import com.sun.appserv.management.base.Container;

/**
	 Configuration for the &lt;monitoring-service&gt; element.
 */
public interface MonitoringServiceConfig
			extends PropertiesAccess, Container, ConfigElement
{
/** The j2eeType as returned by {@link com.sun.appserv.management.base.AMX#getJ2EEType}. */
	public static final String	J2EE_TYPE	= XTypes.MONITORING_SERVICE_CONFIG;
	
	/**
		Creates new module-monitoring-levels element.

		@param params	Map of optional attributes whose keys are defined in
		ModuleMonitoringLevelsParams class.
		@return	the newly-created ModuleMonitoringLevelsConfig
	 */
	public ModuleMonitoringLevelsConfig	createModuleMonitoringLevelsConfig( Map<String,String> params );

	/**
		Removes module-monitoring-levels element.
	 */
	public void			removeModuleMonitoringLevelsConfig();

	/**
		@return the ModuleMonitoringLevelsConfig
	 */
	public ModuleMonitoringLevelsConfig	getModuleMonitoringLevelsConfig();
}
