/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
/*
 * $Header: /cvs/glassfish/admin-core/mbeanapi/src/java/com/sun/appserv/management/config/Attic/NodeAgentConfig.java,v 1.5 2005/12/25 03:49:51 tcfujii Exp $
 * $Revision: 1.5 $
 * $Date: 2005/12/25 03:49:51 $
 */

package com.sun.appserv.management.config;



import com.sun.appserv.management.base.XTypes;
import com.sun.appserv.management.base.Container;



/**
	 Configuration for the &lt;node-agent&gt; element.
*/
public interface NodeAgentConfig
	extends AMXConfig, Container, PropertiesAccess
{
/** The j2eeType as returned by {@link com.sun.appserv.management.base.AMX#getJ2EEType}. */
	public static final String	J2EE_TYPE	= XTypes.NODE_AGENT_CONFIG;

	/**
	 * @return A proxy to the JMXConnectorConfig MBean.
	 */
	public JMXConnectorConfig		getJMXConnectorConfig();
	
	/**
	    @since Appserver 9.0
	 */
	public boolean  getStartServersInStartup();
	
	/**
	    @since Appserver 9.0
	 */
	public void  setStartServersInStartup( boolean start );
	
	
	public String   getSystemJMXConnectorName();
	public void   setSystemJMXConnectorName( String name );
}
