/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
/*
 * $Header: /cvs/glassfish/admin-core/mbeanapi/src/java/com/sun/appserv/management/config/Attic/WebContainerAvailabilityConfig.java,v 1.3 2005/12/25 03:50:11 tcfujii Exp $
 * $Revision: 1.3 $
 * $Date: 2005/12/25 03:50:11 $
 */


package com.sun.appserv.management.config;

import com.sun.appserv.management.base.XTypes;

/**
	 Configuration for the &lt;web-container-availability> element.
 */
public interface WebContainerAvailabilityConfig extends ConfigElement, PropertiesAccess
{
/** The j2eeType as returned by {@link com.sun.appserv.management.base.AMX#getJ2EEType}. */
	public static final String	J2EE_TYPE	= XTypes.WEB_CONTAINER_AVAILABILITY_CONFIG;

	public boolean	getAvailabilityEnabled();
	public void	setAvailabilityEnabled( final boolean value );

	public String	getHTTPSessionStorePoolName();
	public void	setHTTPSessionStorePoolName( final String value );

	public String	getPersistenceFrequency();
	/**
		See {@link SessionSaveFrequencyValues}.
	 */
	public void	setPersistenceFrequency( final String value );


	/**
		See {@link SessionSaveScopeValues}.
	 */
	public String	getPersistenceScope();
	
	/**
		See {@link SessionSaveScopeValues}.
	 */
	public void	setPersistenceScope( final String value );

	public boolean	getPersistenceStoreHealthCheckEnabled();
	public void	setPersistenceStoreHealthCheckEnabled( final boolean value );

	public String	getPersistenceType();
	/**
		See {@link PersistenceTypeValues}.
	 */
	public void	setPersistenceType( final String value );

	public boolean	getSSOFailoverEnabled();
	public void	setSSOFailoverEnabled( final boolean value );



}
