/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
/*
 */

package com.sun.appserv.management.monitor;

import java.util.Map;

import static com.sun.appserv.management.base.XTypes.*;
import com.sun.appserv.management.base.Container;
import com.sun.appserv.management.monitor.statistics.LoadBalancerServerStats;

public interface LoadBalancerServerMonitor extends Container, MonitoringStats {
    
    /** The j2eeType as returned by {@link com.sun.appserv.management.base.AMX#getJ2EEType}. */
    public static final String	J2EE_TYPE	= LOAD_BALANCER_SERVER_MONITOR;
 
    /**
     *        @return a Map of the {@link LoadBalancerApplicationMonitor} for this load balancer keyed by server name.
     */
    public Map<String, LoadBalancerApplicationMonitor> getLoadBalancerApplicationMonitorMap();
    
    public LoadBalancerServerStats getLoadBalancerServerStats();    
}