/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
package com.sun.appserv.management.monitor;

import com.sun.appserv.management.base.AMX;
import com.sun.appserv.management.monitor.ServerRootMonitor;

/**
	Interface which all Monitoring MBeans should extend whether they provide Stats or not.
 */
public interface Monitoring extends AMX
{
    /**
        Most monitoring MBeans live under (are contained by) a ServerRootMonitor.
        A few aren't and null will be returned from this method.
     */
	ServerRootMonitor	getServerRootMonitor();
}




