/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.appserv.management.monitor;

import com.sun.appserv.management.base.XTypes;
import com.sun.appserv.management.monitor.statistics.WebServiceEndpointAggregateStats;

/**
 * <b> SUBJECT TO CHANGE </b>
 * Monitor for Web Service Endpoint
 * 
 * @since AppServer 9.0
 */
public interface WebServiceEndpointMonitor extends MonitoringStats
{
    /** 
     * The j2eeType as returned by 
     *   {@link com.sun.appserv.management.base.AMX#getJ2EEType}. 
     */
    public static final String	J2EE_TYPE= XTypes.WEBSERVICE_ENDPOINT_MONITOR;

    /**
     * Returns the aggregate statistics for this web service operation.
     *
     * @return web service operation aggregate stats
     */
    public WebServiceEndpointAggregateStats getWebServiceEndpointAggregateStats();

}
