/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * $Id: HTTPServiceVirtualServerStats.java,v 1.3 2005/12/25 03:51:15 tcfujii Exp $
 * $Date: 2005/12/25 03:51:15 $
 * $Revision: 1.3 $
 */

package com.sun.appserv.management.monitor.statistics;

import javax.management.j2ee.statistics.Stats;

import com.sun.appserv.management.j2ee.statistics.StringStatistic;

/**
	@see com.sun.appserv.management.monitor.HTTPServiceVirtualServerMonitor
 */
public interface HTTPServiceVirtualServerStats extends Stats
{
	/**
		Current => Space-separated list of IP addresses
	 */
	public StringStatistic getInterfaces();
	
	/**
		Current => Space-separated list of hosts
	 */
	public StringStatistic getHosts();
	
	/**
		Current one of:
		<ul>
		<li>"active"</li>
		<li>"off"</li>
		<li>"disabled"</li>
		</ul>
	 */
	public StringStatistic getMode();
	
	/**
		Current => server name.
	 */
	public StringStatistic getID();
}
