/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
/*
 * $Header: /cvs/glassfish/admin-core/mbeanapi/src/java/com/sun/appserv/management/util/jmx/Attic/NotificationListenerInfo.java,v 1.3 2005/12/25 03:51:28 tcfujii Exp $
 * $Revision: 1.3 $
 * $Date: 2005/12/25 03:51:28 $
 */
package com.sun.appserv.management.util.jmx;

import javax.management.NotificationListener;
import javax.management.NotificationFilter;


/**
    A immutable 3-tuple for tracking this stuff
 */
public class NotificationListenerInfo
{
    private final NotificationListener mListener;
    private final NotificationFilter   mFilter;
    private final Object               mHandback;
    
    public NotificationListenerInfo(
        NotificationListener listener,
        NotificationFilter   filter,
        Object               handback )
    {
        mListener   = listener;
        mFilter     = filter;
        mHandback   = handback;
    }
    
    public NotificationListener getListener()   { return mListener; }
    public NotificationFilter   getFilter()     { return mFilter; }
    public Object               getHandback()   { return mHandback; }

}
