/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
/*
 * $Header: /cvs/glassfish/admin-core/mbeanapi/src/java/com/sun/appserv/management/util/stringifier/Attic/IteratorStringifier.java,v 1.3 2005/12/25 03:51:58 tcfujii Exp $
 * $Revision: 1.3 $
 * $Date: 2005/12/25 03:51:58 $
 */
 
package com.sun.appserv.management.util.stringifier;

import java.util.Iterator;


/**
	Stringifies an Iterator, using an optional element Stringifier
 */
 
public final class IteratorStringifier extends IteratorStringifierBase
{
		public 
	IteratorStringifier()
	{
		super();
	}
	
		public 
	IteratorStringifier( String delim )
	{
		super( delim );
	}
	
		public 
	IteratorStringifier( Stringifier elementStringifier )
	{
		super( elementStringifier );
	}
	
		public 
	IteratorStringifier( String delim, Stringifier elementStringifier )
	{
		super( delim, elementStringifier );
	}
	
	
		public void
	stringifyElement(
		Object			elem,
		String			delim,
		StringBuffer	buf)
	{
		if ( elem == null )
		{
			buf.append( "null" );
		}
		else
		{
			buf.append( mElementStringifier.stringify( elem ) );
		}
	}
	
	
	/*
		Static variant when direct call will suffice.
	 */
		public static String
	stringify( Iterator iter, String delim )
	{
		final IteratorStringifier	stringifier	= new IteratorStringifier( delim );
		
		return( stringifier.stringify( iter, delim, SmartStringifier.DEFAULT ) );
	}
	
	
	public final static IteratorStringifier DEFAULT = new IteratorStringifier( "," );
}

