/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * Copyright 2004-2005 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

/*
 * MonitoringRegistrationException.java
 *
 * Created on August 10, 2003, 9:12 AM
 */

package com.sun.enterprise.admin.monitor.registry;

/**
 * Exception class to encompass exception events occuring while employing the
 * MonitoringRegistrationHelper to register or unregister Stats components
 * @author  Shreedhar Ganapathy
 */
public class MonitoringRegistrationException extends java.lang.Exception {
    
    /**
     * Creates a new instance of <code>MonitoringRegistrationException</code> without detail message.
     */
    public MonitoringRegistrationException() {
    }
    
    /**
     * Constructs an instance of <code>MonitoringRegistrationException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public MonitoringRegistrationException(String msg) {
        super(msg);
    }
	
	public MonitoringRegistrationException(String msg, Throwable cause){
		super(msg, cause);
	}
	
	public MonitoringRegistrationException(Throwable cause){
		super(cause);
	}
}
