/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * Copyright 2004-2005 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

package com.sun.enterprise.admin.monitor.stats;
import javax.management.j2ee.statistics.CountStatistic;

/**
 * A Stats interface to represent the statistical data about 
 * Endpoint factory in the Connector Module
 * 
 * @author  Murali Vempaty
 * @since   SJSAS8.1
 */
public interface ConnectorEndPointFactoryStats {
    
    /**
     * indicates the number of messages created via this endpoint factory, since
     * the last reset
     * @return CountStatistic
     */
    public CountStatistic getMessagesCreatedCount();
    
    /**
     * indicates the number of messages delivered through Endpoints created, via
     * this endpoint factory
     * @return CountStatistic
     */
    public CountStatistic getDeliveredMessageCount();
    
    /**
     * indicates the number of runtime exceptions that had occurred during the
     * delivery of messages to endpoints created via this endpoint factory.
     * @return CountStatistic
     */
    public CountStatistic getRuntimeExceptionsCount();
    
}
