/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.tools.admingui;

import java.util.*;
import com.iplanet.jato.*;
import com.iplanet.jato.model.DatasetModel;
import com.iplanet.jato.model.DefaultModel;

import com.sun.enterprise.tools.admingui.models.EditPropsModel;
import com.sun.enterprise.tools.admingui.models.EditPropsModelImpl;
import com.sun.enterprise.tools.admingui.tree.IndexTreeModel;
import com.sun.enterprise.tools.admingui.tree.IndexTreeModelImpl;

import com.sun.web.ui.model.CCActionTableModel;
import com.sun.web.ui.model.CCActionTableModelInterface;
import com.sun.web.ui.model.CCBreadCrumbsModel;
import com.sun.web.ui.model.CCBreadCrumbsModelInterface;
import com.sun.web.ui.model.CCDateTimeModel;
import com.sun.web.ui.model.CCDateTimeModelInterface;
import com.sun.web.ui.model.CCPropertySheetModel;
import com.sun.web.ui.model.CCPropertySheetModelInterface;
import com.sun.web.ui.model.CCTabsModel;
import com.sun.web.ui.model.CCTabsModelInterface;
import com.sun.web.ui.model.CCTreeModel;
import com.sun.web.ui.model.CCTreeModelInterface;
import com.sun.enterprise.tools.admingui.taglib.DataSheetModel;
import com.sun.enterprise.tools.admingui.taglib.DataSheetModelInterface;


/**
 *
 *
 * @author
 */
public class ModelTypeMapImpl extends ModelTypeMapBase implements ModelTypeMap {
    /**
     * Default constructor
     *
     */
    public ModelTypeMapImpl() {
	super();
    }



    //////////////////////////////////////////////////////////////////////////
    //  Static initializer
    //////////////////////////////////////////////////////////////////////////

    static {
	// Add type a map entry for each model in your application. Each type
	// map entry should map a model interface to a model implementation.
	addModelInterfaceMapping(
	    IndexTreeModel.class, IndexTreeModelImpl.class);
	addModelInterfaceMapping(
	    EditPropsModel.class, EditPropsModelImpl.class);
	addModelInterfaceMapping(
	    DatasetModel.class, DefaultModel.class);
	addModelInterfaceMapping(
	    CCBreadCrumbsModelInterface.class, CCBreadCrumbsModel.class);
	addModelInterfaceMapping(
	    CCTabsModelInterface.class, CCTabsModel.class);
	addModelInterfaceMapping(
	    CCPropertySheetModelInterface.class, CCPropertySheetModel.class);
	addModelInterfaceMapping(
	    DataSheetModelInterface.class, DataSheetModel.class);
	addModelInterfaceMapping(
	    CCActionTableModelInterface.class, CCActionTableModel.class);
	addModelInterfaceMapping(
	    CCDateTimeModelInterface.class, CCDateTimeModel.class);
        addModelInterfaceMapping(
	    CCTreeModelInterface.class, CCTreeModel.class);
    }
}
