<%--
 The contents of this file are subject to the terms 
 of the Common Development and Distribution License 
 (the License).  You may not use this file except in
 compliance with the License.
 
 You can obtain a copy of the license at 
 https://glassfish.dev.java.net/public/CDDLv1.0.html or
 glassfish/bootstrap/legal/CDDLv1.0.txt.
 See the License for the specific language governing 
 permissions and limitations under the License.
 
 When distributing Covered Code, include this CDDL 
 Header Notice in each file and include the License file 
 at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 If applicable, add the following below the CDDL Header, 
 with the fields enclosed by brackets [] replaced by
 you own identifying information: 
 "Portions Copyrighted [year] [name of copyright owner]"
 
 Copyright 2006 Sun Microsystems, Inc. All rights reserved.
--%>
<%@page import="com.sun.enterprise.tools.admingui.util.Util" %>
<%@ page info="LogViewer" language="java" contentType="text/html; charset=UTF-8" %>
<%@taglib uri="/jato.tld" prefix="jato"%>
<%@taglib uri="/cc.tld" prefix="cc"%>

<script language="JavaScript" src="../js/iasadmin.js"></script> 

<jato:useViewBean type="com.iplanet.jato.view.ViewBean" className="LogViewer">

<!-- Define the resource bundle, html, head, meta, stylesheet and body tags -->
<cc:header pageTitle="logViewer.PageTitle" copyrightYear="2003" name="HtmlHeader"
 baseName="com.sun.enterprise.tools.admingui.resources.Resources" bundleID="testBundle">

<!-- Form -->
<jato:form name="form" method="post">
<!-- These 2 buttons produce HTML and store it in a Request attribute -->
<cc:button name="LogViewerResults.nextButton" elementId="nextButton" title="logViewer.nextMatches" bundleID="testBundle" type="primary" />
<cc:button name="LogViewerResults.prevButton" elementId="prevButton" title="logViewer.priorMatches" bundleID="testBundle" type="primary" />


<script type="text/javascript">
// This function will set the focus to the log
// viewer search results area.
function setFocusSearchResults() {

    document.location.href = "#results";
    return true;
}
// This function will set the focus to the log
// search options area.
function setFocusSearchOptions() {

    document.location.href = "#options";
    return true;
}

// This function will hide or show the date and time 
// controls based on the selected radio button
function checkHiddenElements() {
	if (document.forms[0].psLbl4.checked) {   
	// check to see if the radio button is checked, if so, set the styles to block
		document.getElementById('dates').style.display = 'block';
	} else {
	// make sure they are hidden
		document.getElementById('dates').style.display = 'none';
	}
}

</script>
<div class="ConMgn">
<cc:alertinline name="Alert" bundleID="testBundle" />
</div>

<!-- Page Title --> 
<A name="options">
</A>
<cc:pagetitle name="PageTitle" bundleID="testBundle"
 pageTitleText="logViewer.PageTitle" 
 showPageTitleSeparator="true"
 showPageButtonsTop="true"
 showPageButtonsBottom="true"
 pageTitleHelpMessage="LogViewerOptionsPageHelp">
 
<jato:hidden name="HiddenDisplayAdvanceSearch"/>

<div class="ConJmpLnkDiv">
    <cc:href name="resultsJumpLink" bundleID="testBundle" type="jump" anchor="results">
	<cc:text name="resultsJumpMessage" bundleID="testBundle" defaultValue="<%= Util.getMessage("com.sun.enterprise.tools.admingui.resources.Resources", "logViewer.searchResults", null) %>" />
    </cc:href>
</div> 
<!-- PropertySheet -->
<cc:propertysheet
    name="LogViewerOptions"
    bundleID="testBundle"
    addJavaScript="true" />
<p>
<div class="ConJmpLnkDiv">
    <cc:href name="topJumpLink" bundleID="testBundle" type="jumpTop" anchor="">
	<cc:text name="topJumpMessage" bundleID="testBundle" defaultValue="logViewer.topJumpMessage" />
    </cc:href>
</div>    

<jato:content name="extra">
</jato:content>
</cc:pagetitle>
<p>

<a name="results"></A>

<div class="ConFldSetDiv"><div class="ConFldSetLgdDiv"><%= Util.getMessage("com.sun.enterprise.tools.admingui.resources.Resources", "logViewer.searchResults", null) %></div>
<jato:content name="showResults">
<cc:propertysheet
    name="LogViewerOptionsPart1"
    bundleID="testBundle"
    addJavaScript="true" />
 
<div class="ConJmpLnkDiv">
    <cc:href name="optionsJumpLink" bundleID="testBundle" type="jumpTop" anchor="options">
	<cc:text name="optionsJumpMessage" bundleID="testBundle" defaultValue="logViewer.optionsJumpMessage" />
    </cc:href>
</div>
</jato:content>
<!-- Results -->
<cc:actiontable
    name="LogViewerResults"
    bundleID="testBundle"
    empty="logViewer.emptyTable"
    maxRows="10"
    page="test"
    selectionType="no select"
    showAdvancedSortIcon="false"
    showLowerActions="false"
    showPaginationIcon="false"
    showPaginationControls="false"
    showSelectionIcons="false"
    showSelectionSortIcon="false"
    summary="logViewer.summary"
    title="logViewer.title" />
<p>
<div class="ConJmpLnkDiv">
    <cc:href name="topJumpLink" bundleID="testBundle" type="jumpTop" anchor="">
	<cc:text name="topJumpMessage" bundleID="testBundle" defaultValue="logViewer.topJumpMessage" />
    </cc:href>
</div>   
</jato:form>
</cc:header>
</jato:useViewBean> 
