<%--
 The contents of this file are subject to the terms 
 of the Common Development and Distribution License 
 (the License).  You may not use this file except in
 compliance with the License.
 
 You can obtain a copy of the license at 
 https://glassfish.dev.java.net/public/CDDLv1.0.html or
 glassfish/bootstrap/legal/CDDLv1.0.txt.
 See the License for the specific language governing 
 permissions and limitations under the License.
 
 When distributing Covered Code, include this CDDL 
 Header Notice in each file and include the License file 
 at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 If applicable, add the following below the CDDL Header, 
 with the fields enclosed by brackets [] replaced by
 you own identifying information: 
 "Portions Copyrighted [year] [name of copyright owner]"
 
 Copyright 2006 Sun Microsystems, Inc. All rights reserved.
--%>

<%@ page info="webContainerGeneral" language="java" contentType="text/html; charset=UTF-8" %>
<%@taglib uri="/jato.tld" prefix="jato"%>
<%@taglib uri="/cc.tld" prefix="cc"%>

<jato:useViewBean type="com.iplanet.jato.view.ViewBean" className="webContainerGeneral">

<cc:header pageTitle="webcontainer.GeneralPageTitle" copyrightYear="2003" name="HtmlHeader"
 baseName="com.sun.enterprise.tools.admingui.resources.Resources" bundleID="testBundle">

<!-- Bread Crumb component -->
<cc:breadcrumbs name="BreadCrumb" bundleID="testBundle" useGrayBg="true" />

<!-- Navigation Tabs -->
<cc:tabs name="WebTabs" bundleID="testBundle" />

<!-- Form -->
<jato:form name="form">

<script type="text/javascript">
// This function will toggle the disabled state of action buttons
// depending on single or multiple selections.
function toggleDisabledState() {
    // Action button and menu names.

    var pathPrefix = "<cc:text name='pathPrefix' />";
    var elementName = pathPrefix + ".SelectionCheckbox";

    // Document form.
    var form = document.form; // must match form name above.

    // Flag indicating to disable action button and menu options.
    var disabled = true;

    // Set flag if a selection has been made.
    for (i = 0; i < form.elements.length; i++) {
        var e = form.elements[i];
        if (e.name != null && e.name.indexOf(elementName) != -1) {
 	    if (e.checked == true) {
		disabled = false;
		break;
	    }
	}
    }

    // Toggle action button disabled state.
    ccSetButtonDisabled((pathPrefix + ".deleteButton"), "form", disabled);
}
</script>
<div class="ConMgn">
<cc:alertinline name="Alert" bundleID="testBundle" />
</div>

<!-- Page Title -->
<cc:pagetitle name="PageTitle" bundleID="testBundle"
 pageTitleText="webcontainer.GeneralPageTitle"
 showPageTitleSeparator="true"
 showPageButtonsTop="true"
 showPageButtonsBottom="false"
 pageTitleHelpMessage="webcontainer.GeneralPageTitleHelp" >

<!-- action table -->
<cc:actiontable
   name="PropertiesTable"
   bundleID="testBundle"
   title="props.PageTitle"
   summary="instances.summary"
   empty="webcontainer.empty"
   selectionType="multiple"
   selectionJavascript="setTimeout('toggleDisabledState()', 0)"
   showAdvancedSortingIcon="false"
   showLowerActions="false"
   showPaginationControls="false"
   showPaginationIcon="false"
   showSelectionIcons="true"
   showSelectionSortIcon="false"
   showSortingRow="true"/>

<jato:content name="extra">
</jato:content>
</cc:pagetitle>
</jato:form>
</cc:header>
</jato:useViewBean>
