/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.tools.guiframework.view;

import com.iplanet.jato.view.View;

import com.sun.enterprise.tools.guiframework.exception.FrameworkException;
import com.sun.enterprise.tools.guiframework.view.descriptors.ViewDescriptor;


/**
 *
 */
public class ChildNullException extends FrameworkException {

    /**
     *
     */
    public ChildNullException() {
	super();
    }


    /**
     *
     */
    public ChildNullException(ViewDescriptor viewDesc, View view) {
	super(viewDesc, view);
    }


    /**
     *
     */
    public ChildNullException(Throwable ex) {
	super(ex);
    }


    /**
     *
     */
    public ChildNullException(Throwable ex, ViewDescriptor viewDesc, View view) {
	super(ex, viewDesc, view);
    }


    /**
     *
     */
    public ChildNullException(String childName) {
	super("Child '"+childName+"' is null.");
    }


    /**
     *
     */
    public ChildNullException(String childName, ViewDescriptor viewDesc, View view) {
	super("Child '"+childName+"' is null.", viewDesc, view);
    }


    /**
     *
     */
    public ChildNullException(String childName, Throwable ex) {
	super("Child '"+childName+"' is null.", ex);
    }


    /**
     *
     */
    public ChildNullException(String childName, Throwable ex, ViewDescriptor viewDesc, View view) {
	super("Child '"+childName+"' is null.", ex, viewDesc, view);
    }
}
