/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.tools.guiframework.view.descriptors;

/**
 *  <P> This interface is used to mark Descriptor classes that are
 *	conceptually containers with children, however, they do not
 *	implement ContainerView.  These are considered "fake containers."
 *	For example, the CCActionTable and CCPropertySheet components do not
 *	actually "contain" thier children.  Instead their children are
 *	<I>peers</I>.  Knowing this is important because the representation
 *	in the ViewXML is incorrect (it shows the peers as children).  This
 *	effects the createChild method which must look into these fake
 *	containers to get the descriptors.  These classes are NOT real
 *	containers because they do not contain their children and their
 *	namespace is flattenned into their parent.</P>
 */
public interface FakeContainerDescriptor {
}
