/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * BackupManagerTest.java
 * JUnit based test
 *
 * Created on March 18, 2004, 5:24 PM
 */

package com.sun.enterprise.config.backup;

import com.sun.enterprise.config.backup.util.*;
import java.io.*;
import java.util.*;
import junit.framework.*;

/**
 *
 * @author Byron Nevins
 */
public class BackupManagerTest extends TestCase
{
	
	public BackupManagerTest(java.lang.String testName)
	{
		super(testName);
	}
	
	public static Test suite()
	{
		TestSuite suite = new TestSuite(BackupManagerTest.class);
		return suite;
	}
	
	/** Test of backup method, of class com.sun.enterprise.config.backup.BackupManager. */
	public void testBackup()
	{
		try
		{
			System.out.println("testBackup");
			BackupRequest req = new BackupRequest("C:/tmp/domains", "domain1");
			BackupManager mgr = new BackupManager(req);
			mgr.backup();
		}
		catch(BackupException be)
		{
			fail("Got an Exception: " + be);
		}
	}
	
	public static void main(java.lang.String[] args)
	{
		junit.textui.TestRunner.run(suite());
	}
	
	// Add test methods here, they have to start with 'test' name.
	// for example:
	// public void testHello() {}
	
	
}
