/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
/*
 */
package com.sun.enterprise.management.monitor;


import com.sun.appserv.management.base.XTypes;
import com.sun.enterprise.management.support.Delegate;

import com.sun.appserv.management.monitor.statistics.EJBCacheStats;

import com.sun.appserv.management.util.jmx.AttributeNameMapper;

public class BeanCacheMonitorImpl extends MonitoringStatsImplBase
	// implements BeanCacheMonitor
{
	public BeanCacheMonitorImpl( Delegate delegate ) 
	{
		super( XTypes.BEAN_CACHE_MONITOR, delegate );
	}
		protected Class
	getStatsInterface()
	{
		return( EJBCacheStats.class );
	}    
	
		public EJBCacheStats
	getEJBCacheStats()
	{
		return (EJBCacheStats)getStats();
	}
	
	
		protected final void
	initStatisticNameMapper()
	{
		super.initStatisticNameMapper();
		
		final AttributeNameMapper	m	= getStatisticNameMapper();
		
		m.addMapping( "NumPassivations", "Passivations" );
		m.addMapping( "NumPassivationSuccess", "PassivationSuccesses" );
		m.addMapping( "NumExpiredSessionsRemoved", "ExpiredSessionsRemoved" );
		m.addMapping( "NumPassivationErrors", "PassivationErrors" );
		m.addMapping( "NumBeansInCache", "BeansInCache" );
	}
}
