/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
/*
 */

package com.sun.enterprise.management.monitor;

import com.sun.appserv.management.monitor.ThreadPoolMonitor;

import javax.management.ObjectName;
import javax.management.MBeanException;
import javax.management.j2ee.statistics.Statistic;
import javax.management.j2ee.statistics.Stats;
import javax.management.openmbean.CompositeDataSupport;
import javax.management.openmbean.OpenDataException;

import com.sun.appserv.management.base.XTypes;
import com.sun.appserv.management.base.AMX;
import com.sun.appserv.management.monitor.Monitoring;
import com.sun.appserv.management.monitor.MonitoringRoot;
import com.sun.appserv.management.util.j2ee.J2EEUtil;
import com.sun.appserv.management.j2ee.statistics.StatsImpl;

import com.sun.enterprise.management.support.AMXImplBase;
import com.sun.enterprise.management.support.Delegate;

import com.sun.appserv.management.monitor.statistics.ThreadPoolStats;

/**
 */
public class ThreadPoolMonitorImpl extends MonitoringStatsImplBase
	// implements ThreadPoolMonitor
{
	public ThreadPoolMonitorImpl(Delegate delegate) 
	{
		super( XTypes.THREAD_POOL_MONITOR, delegate );
	}

	      
		protected Class
	getStatsInterface()
	{
		return( ThreadPoolStats.class );
	}  
	
		public ThreadPoolStats
	getThreadPoolStats()
	{
		return( (ThreadPoolStats)getStats() );
	}  
}
