/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
package com.sun.enterprise.management.offline;

import javax.management.ObjectName;
import javax.management.MBeanRegistration;
import javax.management.NotificationListener;

import com.sun.appserv.management.base.AMXMBeanLogging;


import com.sun.enterprise.management.support.AMXSupport;

/**
	Loads AMX MBeans. <b>INTERNAL USE ONLY</b>
 */
public interface OfflineLoaderMBean
	extends AMXSupport, MBeanRegistration 
{
	/**
		The name of the appserver administrative domain.
		The JMX domain name is derived from this value.
	 */
	public String	getAdministrativeDomainName();
	
	/**
		The JMX domain all AMX MBeans are using.  Derived from mDomainName.
	 */
	public String	getAMXJMXDomainName();
}








