/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
package com.sun.enterprise.management;

import javax.management.ObjectName;

import com.sun.appserv.management.base.AMX;
import com.sun.appserv.management.base.Util;

import com.sun.appserv.management.util.jmx.ObjectNameComparator;


public final class AMXComparator<T extends AMX>  implements java.util.Comparator<T>
{
	public	AMXComparator()	{}
	
		public int
	compare( final T lhs, final T rhs )
	{
		final ObjectName lhsName	= Util.getObjectName( lhs );
		final ObjectName rhsName	= Util.getObjectName( rhs );
		
		return ObjectNameComparator.INSTANCE.compare( lhsName, rhsName );
	}
	
		public boolean
	equals( final Object other )
	{
		return( other instanceof AMXComparator );
	}
}





