/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
package com.sun.enterprise.management.j2ee;

import java.util.Set;

import com.sun.appserv.management.j2ee.Servlet;

import com.sun.enterprise.management.AMXTestBase;

/**
    Test serialization on the AMX Stats/Statistics classes which travel
    from server to client.
 */
public final class ServletTest extends AMXTestBase
{
		public
	ServletTest( )
	{
	}
	
	    public void
	testFindMappings()
	{
	    final Set<Servlet>  servlets = getTestUtil().getAllAMX( Servlet.class );
	    
	    for( final Servlet servlet : servlets )
	    {
	        final String[]  mappings    = servlet.findMappings();
	        
	        servlet.getClassLoadTime();
	        servlet.getEngineName();
	        servlet.getLoadTime();
	        servlet.getModelerType();
	    }
	}

}

