/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.management.model;

import javax.management.ObjectName;
import java.util.Set;

public abstract class EJBMdl extends J2EEManagedObjectMdl {
    
    private String ejbModuleName = null;
    private String applicationName = null;
    private String ejbName = null;
    
    EJBMdl(String name, String moduleName, String appName) {
        super(name,false, false, false);
        this.ejbModuleName = moduleName;
        this.applicationName = appName;
        if(J2EEModuleMdl.isStandAloneModule(applicationName))
           this.applicationName = "null";
        this.ejbName = name;
    }

    EJBMdl(String name, String moduleName, String appName, String serverName) {
        super(name, serverName, false, false, false);
        this.ejbModuleName = moduleName;
        this.applicationName = appName;
        if(J2EEModuleMdl.isStandAloneModule(applicationName))
           this.applicationName = "null";
        this.ejbName = name;
    }

    /**
     * Accessor method for the parent key
     */
    public String getEJBModule(){
       return this.ejbModuleName;
    }
    /**
     * Accessor method for the parent key
     */
    public String getJ2EEApplication(){
       return this.applicationName;
    }
    
    /**
     * The name of the J2EEManagedObject. All managed objects must have a unique name within the context of the management
     * domain. The name must not be null.
     */
    public String getobjectName() {
        Set s = findNames("j2eeType="+getj2eeType()+",name="+this.ejbName+",EJBModule="+this.getEJBModule()+",J2EEApplication="+this.getJ2EEApplication()+",J2EEServer="+this.getJ2EEServer());
        Object [] objs = s.toArray();
        if (objs.length > 0) {
        	String name = ((ObjectName)objs[0]).toString();
        	return name;
        } else {
            return null;
        }
    }
}
