/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
/*
 * $Header: /cvs/glassfish/admin/mbeans/tests/com/sun/enterprise/admin/dottedname/DottedNameFactoryTest.java,v 1.3 2005/12/25 03:43:04 tcfujii Exp $
 * $Revision: 1.3 $
 * $Date: 2005/12/25 03:43:04 $
 */
package com.sun.enterprise.admin.dottedname;


public final class DottedNameFactoryTest extends junit.framework.TestCase
{
	DottedNameFactory.Factory		mFactory;
	
	
		public void
	setUp()
	{
		mFactory	= DottedNameFactory.newInstance();
	}
	
		public void
	testGet()
	{
		assertEquals( new DottedName( "domain" ), mFactory.get( "domain" ) );
	}
	
		public void
	testAdd()
	{
		final DottedName	dn	= new DottedName( "server" );
		
		mFactory.add( dn );
		
		assert( dn == mFactory.get( dn.toString() ) );
	}
	
	/*
		public synchronized void
	testSpeed()
	{
		final long	start	= System.currentTimeMillis();
		
		final String	test	= "domain.x.y.z.a.b.c.ddddddddddddddd";
		for( int i = 0; i < 10 * 1000; ++i )
		{
			new DottedName( test );
			//mFactory.get( test );
		}
		
		final long	elapsed = System.currentTimeMillis() - start;
		System.out.println( "elapsed: " + elapsed );
	}
	*/

}



