/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/* AttributeStringHelper.java
 * $Id: AttributeStringHelper.java,v 1.3 2005/12/25 03:43:32 tcfujii Exp $
 * $Revision: 1.3 $
 * $Date: 2005/12/25 03:43:32 $
 * Indentation Information:
 * 0. Please (try to) preserve these settings.
 * 1. Tabs are preferred over spaces.
 * 2. In vi/vim - 
 *		:set tabstop=4 :set shiftwidth=4 :set softtabstop=4
 * 3. In S1 Studio - 
 *		1. Tools->Options->Editor Settings->Java Editor->Tab Size = 4
 *		2. Tools->Options->Indentation Engines->Java Indentation Engine->Expand Tabs to Spaces = False.
 *		3. Tools->Options->Indentation Engines->Java Indentation Engine->Number of Spaces per Tab = 4.
 */

package com.sun.enterprise.admin.monitor.registry.spi;

/**
 * Helper to handle concatenation and splitting up of attr names 
 * @author  Shreedhar Ganapathy<mailto:shreedhar.ganapathy@sun.com>
 */
public class AttributeStringHelper {
    private static final String DELIMITER="_";

    public static String joinAttributes(String a, String b){
        StringBuffer sb = new StringBuffer();
        sb.append(a);
        sb.append(DELIMITER);
        sb.append(b);
        return sb.toString();
    }
    static String[] splitAttribute(String a){
        return a.split(DELIMITER);
    }
}
