/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * CallFlowSuite.java
 * JUnit based test
 * @author Harpreet Singh
 */

package com.sun.enterprise.admin.monitor.callflow;

import java.util.Enumeration;
import junit.framework.*;

/**
 *
 * @author Harpreet Singh
 */
public class CallFlowSuite{
    
    public CallFlowSuite() {
    }
    
    /**
     * suite method automatically generated by JUnit module
     */
    public static Test suite() {
        System.out.println(" This test requires the Derby database to be up!");
        System.out.println("Creating test suite for RS, RE, MS, ME, ST, ET Tables");
        TestSuite suite = new TestSuite();
        suite.addTestSuite(com.sun.enterprise.admin.monitor.callflow.RequestStartAccessObjectImplTest.class);
        suite.addTestSuite(com.sun.enterprise.admin.monitor.callflow.RequestEndAccessObjectImplTest.class);
        suite.addTestSuite(com.sun.enterprise.admin.monitor.callflow.MethodEndAccessObjectImplTest.class);
        suite.addTestSuite(com.sun.enterprise.admin.monitor.callflow.MethodStartAccessObjectImplTest.class);
        suite.addTestSuite(com.sun.enterprise.admin.monitor.callflow.StartTimeAccessObjectImplTest.class);
        suite.addTestSuite(com.sun.enterprise.admin.monitor.callflow.EndTimeAccessObjectImplTest.class);

        suite.addTestSuite(com.sun.enterprise.admin.monitor.callflow.DbAccessObjectTest.class);        
        return suite;
    }
    
    public static void main(java.lang.String[] args) {
        junit.textui.TestRunner.run(suite());
    }
    
}
