/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * SpiSuite.java
 * JUnit based test
 *
 * Created on April 1, 2004, 5:04 PM
 */

package com.sun.enterprise.admin.monitor.registry.spi;

import junit.framework.*;

/**
 *
 * @author Rob
 */
public class SpiSuite extends TestCase {
    
    public SpiSuite(java.lang.String testName) {
        super(testName);
    }
    
    /**
     * suite method automatically generated by JUnit module
     */
    public static Test suite() {
        TestSuite suite = new TestSuite("SpiSuite");
        suite.addTest(com.sun.enterprise.admin.monitor.registry.spi.AttributeStringHelperTest.suite());
        suite.addTest(com.sun.enterprise.admin.monitor.registry.spi.GeneratedMonitoringMBeanImplTest.suite());
        suite.addTest(com.sun.enterprise.admin.monitor.registry.spi.ManagedResourceIntrospectorTest.suite());
        suite.addTest(com.sun.enterprise.admin.monitor.registry.spi.MonitoringMBeansFactoryTest.suite());
        suite.addTest(com.sun.enterprise.admin.monitor.registry.spi.MonitoringRegistrationHelperTest.suite());
        suite.addTest(com.sun.enterprise.admin.monitor.registry.spi.reconfig.ReconfigSuite.suite());
        suite.addTest(com.sun.enterprise.admin.monitor.registry.spi.StatsHolderImplTest.suite());
        suite.addTest(com.sun.enterprise.admin.monitor.registry.spi.ValueListMapTest.suite());
        return suite;
    }
    
    public static void main(java.lang.String[] args) {
        junit.textui.TestRunner.run(suite());
    }
    
    // TODO add test methods here, they have to start with 'test' name.
    // for example:
    // public void testHello() {}
    
    
}
