/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.admin.servermgmt;


/** Interface for domain.xml event listeners. The actual implementation class will
 * be specified in the template file.
 */
public interface DomainXmlEventListener {
    /** handle the creation of domain.xml. This will be called immediately after
     * domain.xml is created.
     * @param cfg The DomainConfig object for this domain
     */    
	public void handleCreateEvent(DomainConfig cfg)throws DomainException ;
        /** handle the deletion of the domain.xml. This will be called after the deletion of
         * domain.xml file.
         * @param cfg The DomainConfig object for this domain
         */        
	public void handleDeleteEvent(DomainConfig cfg) throws DomainException ;
}
