/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
package com.sun.enterprise.admin.wsmgmt.config.spi;

/**
 * Constants in management configuration for a web service end point. 
 */
public interface Constants {

    /**
     * The name of Monitoring level LOW
     */
    public static final String LOW = "LOW";

    /**
     * The name of Monitoring level OFF
     */
    public static final String OFF = "OFF";

    /**
     * The name of Monitoring level HIGH
     */
    public static final String HIGH = "HIGH";

    /**
     * Filter Name for Low Monitoring level
     */
    public static final String AGGREGATE_STATS_FILTER = "AggregateStatsFilter";

    /**
     * The name of apply-to request constant
     */
    public static final String REQUEST = "request";

    /**
     * The name of apply-to response constant
     */
    public static final String RESPONSE = "response";

    /**
     * The name of  apply-to both request and response constant
     */
    public static final String BOTH = "both";

}
