/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
package com.sun.enterprise.jbi.serviceengine.install;

import com.sun.enterprise.jbi.serviceengine.*;
import com.sun.enterprise.jbi.serviceengine.ServiceEngineException;



/**
 *
 * @author Manisha Umbarje
 */
public interface Installer {
    
    public boolean isJBIInstalled();

    public void setComponentName(String componentName);
    
    /**
     * Installs the service engine and starts it
     * @param zipFilePath packaged 208 compliant service engine bundle
     * 
     */
    public String install(String zipFilePath) throws ServiceEngineException;
    
    /**
     * Starts the component with provided name
     */
    public void start() throws ServiceEngineException;
 

    /**
     * Checks if the compoenent specified by componentName is installed or
     * not
     */
    public boolean isComponentInstalled();

    /**
     * Stops the component with provided name
     */
    public void stop() throws ServiceEngineException;

    /**
     * Uninstalls the component with provided name
     */
    public void uninstall() throws ServiceEngineException;
    
    
}
