/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * ConfigBeansSettings.java
 *
 * Created on February 9, 2004, 5:25 PM
 */

package com.sun.enterprise.config.impl;

import com.sun.enterprise.config.pluggable.ConfigBeansSettings;
/**
 *
 * @author  sridatta
 */
public class ConfigBeansSettingsImpl implements ConfigBeansSettings {
    
    private static final String PROPERTY = "property";
    private static final String ELEMENT_PROPERTY = "element-property";
    
    private static final String DESCRIPTION = "description";

        
    /** Creates a new instance of ConfigBeansSettings */
    public ConfigBeansSettingsImpl() {
    }
    
    /**
     * Used to map the names from original name to
     * a transformed name. By default, since schema2beans
     * has this restriction, property is mapped to
     * element-property
     */
    public String mapElementName(String originalName) {
        if(originalName.equals(PROPERTY)) {
            return ELEMENT_PROPERTY;
        }
        
        return originalName;
        
    }
    
    public boolean isSpecialElement(String name) {
        if(DESCRIPTION.equals(name))
            return true;
        return false;
    }
}
