/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.deployment;

import java.lang.reflect.*;


/** 
 * This class stores information about CMP and Foreign Key fields.
 * Note: the "field" variable is only available at runtime.
 *
 * @author Sanjeev Krishnan
 */

public final class PersistentFieldInfo {

    public PersistentFieldInfo() {}

    public PersistentFieldInfo(PersistentFieldInfo other) {
        field       = other.field;
        name        = other.name;
        type        = other.type;
        relatedName = other.relatedName;
        relatedObj  =  other.relatedObj;
    }

    public Field field;
    public String name;
    public Class type;

    // For fkey fields (including fields in Join objects) 
    // these two fields are the corresponding pkey field and related object, 
    // For CMP fields these are null.
    public String relatedName; 
    public PersistenceDescriptor relatedObj; 
}
