/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * @(#) MdbConnectionFactory.java
 *
 * Copyright 2000-2001 by iPlanet/Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of iPlanet/Sun Microsystems, Inc. ("Confidential Information").
 * You shall not disclose such Confidential Information and shall
 * use it only in accordance with the terms of the license
 * agreement you entered into with iPlanet/Sun Microsystems.
 */
package com.sun.enterprise.deployment.runtime;

import com.sun.enterprise.deployment.Descriptor;
import com.sun.enterprise.deployment.ResourcePrincipal;


/** iAS specific DD Element (see the ias-ejb-jar_2_0.dtd for this element)
 * @author Ludo
 * @since JDK 1.4
 */
public class MdbConnectionFactoryDescriptor extends Descriptor {
    
    
    
    private String jndiName;
    private ResourcePrincipal defaultResourcePrincipal;
    
    public MdbConnectionFactoryDescriptor() {
        
    }
    
    /** Getter for property defaultResourcePrincipal.
     * @return Value of property defaultResourcePrincipal.
     */
    public ResourcePrincipal getDefaultResourcePrincipal() {
        return defaultResourcePrincipal;
    }
    
    /** Setter for property defaultResourcePrincipal.
     * @param defaultResourcePrincipal New value of property defaultResourcePrincipal.
     */
    public void setDefaultResourcePrincipal(ResourcePrincipal defaultResourcePrincipal) {
        this.defaultResourcePrincipal = defaultResourcePrincipal;
    }
    
    /** Getter for property jndiName.
     * @return Value of property jndiName.
     */
    public java.lang.String getJndiName() {
        return jndiName;
    }
    
    /** Setter for property jndiName.
     * @param jndiName New value of property jndiName.
     */
    public void setJndiName(java.lang.String jndiName) {
        this.jndiName = jndiName;
    }
    
}

