/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.deployment.runtime.common;

import com.sun.enterprise.deployment.runtime.RuntimeDescriptor;

/**
* this class is a shameful duplication of info found in normal descriptors
* it was kept to be backward compatible with the schema2beans descriptors
* generated by iAS 7.0 engineering team.
*
* @author Jerome Dochez
*/
public class ResourceRef extends RuntimeDescriptor
{
    static public final String RES_REF_NAME = "ResRefName";	// NOI18N
    static public final String JNDI_NAME = "JndiName";	// NOI18N
    static public final String DEFAULT_RESOURCE_PRINCIPAL = "DefaultResourcePrincipal";	// NOI18N
    
    // This attribute is mandatory
    public void setResRefName(String value)
    {
	this.setValue(RES_REF_NAME, value);
    }
    
    //
    public String getResRefName()
    {
	return (String)this.getValue(RES_REF_NAME);
    }
    
    // This attribute is mandatory
    public void setJndiName(String value)
    {
	this.setValue(JNDI_NAME, value);
    }
    
    //
    public String getJndiName()
    {
	return (String)this.getValue(JNDI_NAME);
    }
    
    // This attribute is optional
    public void setDefaultResourcePrincipal(DefaultResourcePrincipal value)
    {
	this.setValue(DEFAULT_RESOURCE_PRINCIPAL, value);
    }
    
    //
    public DefaultResourcePrincipal getDefaultResourcePrincipal()
    {
	return (DefaultResourcePrincipal)this.getValue(DEFAULT_RESOURCE_PRINCIPAL);
    }
    
    // This method verifies that the mandatory properties are set
    public boolean verify()
    {
	return true;
    }
}
