/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/**
 *	This generated bean class SunConnector matches the DTD element sun-connector
 *
 *	Generated on Mon May 13 13:36:49 PDT 2002
 *
 *	This class matches the root element of the DTD,
 *	and is the root of the following bean graph:
 *
 *	  ResourceAdapter
 *	    [attr: JndiName CDATA #REQUIRED ]
 *	    [attr: MaxPoolSize CDATA 32]
 *	    [attr: SteadyPoolSize CDATA 4]
 *	    [attr: MaxWaitTimeInMillis CDATA 10000]
 *	    [attr: IdleTimeoutInSeconds CDATA 1000]
 *	         Description? - String
 *	         PropertyElement[0,n] - Boolean
 *	           [attr: Name CDATA #REQUIRED ]
 *	           [attr: Value CDATA #REQUIRED ]
 *	  RoleMap?
 *	    [attr: MapId CDATA #REQUIRED ]
 *	         Description? - String
 *	         MapElement[0,n]
 *	                Principal[1,n]
 *	                  [attr: UserName CDATA #REQUIRED ]
 *	                       Description? - String
 *	                BackendPrincipal - Boolean
 *	                  [attr: UserName CDATA #REQUIRED ]
 *	                  [attr: Password CDATA #REQUIRED ]
 *	                  [attr: Credential CDATA #REQUIRED ]
 *
 */

package com.sun.enterprise.deployment.runtime.connector;

import com.sun.enterprise.deployment.runtime.RuntimeDescriptor;

/**
 * This class was based on the schema2beans generated one modified
 * to remove its dependencies on schema2beans libraries.
 
 * @author  Jerome Dochez
 * @version 
 */
public class SunConnector extends RuntimeDescriptor
{
    
    static public final String RESOURCE_ADAPTER = "ResourceAdapter";	// NOI18N
    static public final String ROLE_MAP = "RoleMap";	// NOI18N

    
    // This attribute is mandatory
    public void setResourceAdapter(ResourceAdapter value)
    {
	this.setValue(RESOURCE_ADAPTER, value);
    }
    
    //
    public ResourceAdapter getResourceAdapter()
    {
	return (ResourceAdapter)this.getValue(RESOURCE_ADAPTER);
    }
    
    // This attribute is optional
    public void setRoleMap(RoleMap value)
    {
	this.setValue(ROLE_MAP, value);
    }
    
    //
    public RoleMap getRoleMap()
    {
	return (RoleMap)this.getValue(ROLE_MAP);
    }
    
    // This method verifies that the mandatory properties are set
    public boolean verify()
    {
	return true;
    }
}
