/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.deployment.runtime.web;

import com.sun.enterprise.deployment.runtime.RuntimeDescriptor;

/**
* this class contains runtime information for the web bundle 
* it was kept to be backward compatible with the schema2beans descriptors
* generated by iAS 7.0 engineering team.
*
* @author Jerome Dochez
*/
public class SessionManager extends RuntimeDescriptor
{
    
    static public final String MANAGER_PROPERTIES = "ManagerProperties";	// NOI18N
    static public final String STORE_PROPERTIES = "StoreProperties";	// NOI18N
    static public final String PERSISTENCE_TYPE = "PersistenceType";
    
    public SessionManager()
    {
	setAttributeValue(PERSISTENCE_TYPE, "memory");     
    }
    
    // This attribute is optional
    public void setManagerProperties(ManagerProperties value)
    {
	this.setValue(MANAGER_PROPERTIES, value);
    }
    
    //
    public ManagerProperties getManagerProperties()
    {
	return (ManagerProperties)this.getValue(MANAGER_PROPERTIES);
    }
    
    // This attribute is optional
    public void setStoreProperties(StoreProperties value)
    {
	this.setValue(STORE_PROPERTIES, value);
    }
    
    //
    public StoreProperties getStoreProperties()
    {
	return (StoreProperties)this.getValue(STORE_PROPERTIES);
    }
    
    // This method verifies that the mandatory properties are set
    public boolean verify()
    {
	return true;
    }
}
