/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.deployment.web;

    /** Objects exhiniting this interface represent an error page and the exception type or
    ** error code that will cause the redirect from the web container. */

public interface ErrorPageDescriptor {

	/** return the error code for this error page descriptor. */
    public int getErrorCode();
    public void setErrorCode(int errorCode);
    
	/** Return the exception type (full classname) for causing the redirect. */
    public String getExceptionType();
    public void setExceptionType(String exceptionType);
    
	/** Return the relative name of the page for the redirect. */
    public String getLocation();
    public void setLocation(String location);

}
