/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.deployment.web;

import java.util.Enumeration;

    /**
    * @author Danny Coward
     */

public interface LoginConfiguration {
    public static String BASIC_AUTHENTICATION = "BASIC";
    public static String FORM_AUTHENTICATION = "FORM";
    public static String DIGEST_AUTHENTICATION = "DIGEST";
    public static String CLIENT_CERTIFICATION_AUTHENTICATION = "CLIENT-CERT";


    public String getAuthenticationMethod();
    public void setAuthenticationMethod(String authorizationMethod);
    public String getRealmName();
    public void setRealmName(String relamName);
    public String getFormLoginPage();
    public void setFormLoginPage(String formLoginPage);
    public String getFormErrorPage();
    public void setFormErrorPage(String formErrorPage);

}


