/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
package com.sun.ejb.codegen;

/**
 * The Generator exception is thrown whenever there is an error in 
 * generating the stubs and skeletons and other related files.
 */

public class GeneratorException extends java.lang.Exception {
    /**
     * Constructs the Generator exception with the specified string.
     * @param the string description
     */
    public GeneratorException(String s) {
	super(s);
	this.reason = s;
    }

    /**
     * Return the string representation of the exception.
     * @return the string representation of the exception.
     */
    public String toString() {
	return reason;
    }

    /**
     * @serial XXX needs doc
     */
    private String reason;
}

