/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.admin.common;

/**
    A Class that contains all the valid characters per grammar, except letters.
    Letters can be used from java.lang.Character class. This class is also a
    place-holder for the various Strings formed by these characters.
*/
public class Tokens
{
    public static final char kSubScriptBeginnerChar             =   '[';
    public static final char kSubScriptEnderChar                =   ']';
    public static final char kDelimiterChar                     =   '.';
    public static final char kZeroDigitChar                     =   '0';
    public static final char kEscapeChar                        =   '\\';
    public static final char kWildCardChar                      =   '*';

    public static final String  kSpecialsString                 =   "-_/";
    public static final String  kNonZeroDigitsString            =   "123456789";
    public static final String  kEscapedDelimiterString         =   "\\.";
    public static final String  kMoreWildCardsString            =   "**";
    public static final String  kValidCharString                =   "[].\\*-_0123456789";

}
