/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.admin.common.constant;

/**
 */
public interface DeploymentConstants
{
    final int BASE_CONSTANT         = 1000;

    //Deployable Object types
    final int EAR                   = BASE_CONSTANT + 1;
    final int WAR                   = BASE_CONSTANT + 2;
    final int EJB                   = BASE_CONSTANT + 3;
    final int RAR                   = BASE_CONSTANT + 4;
    final int APP_CLIENT            = BASE_CONSTANT + 5;

    //Deployment operation types
    final int DEPLOY_APPLICATION     = BASE_CONSTANT + 11;
    final int DEPLOY_EJB_MODULE      = BASE_CONSTANT + 12;
    final int DEPLOY_WAR_MODULE      = BASE_CONSTANT + 13;
    final int DEPLOY_RAR             = BASE_CONSTANT + 14;

    final int UNDEPLOY_APPLICATION   = BASE_CONSTANT + 15;
    final int UNDEPLOY_EJB_MODULE    = BASE_CONSTANT + 16;
    final int UNDEPLOY_WAR_MODULE    = BASE_CONSTANT + 17;
    final int UNDEPLOY_RAR           = BASE_CONSTANT + 18;
}