/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/**
 * PROPRIETARY/CONFIDENTIAL.  Use of this product is subject to license terms.
 *
 * Copyright 2001-2002 by iPlanet/Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 */
package com.sun.enterprise.admin.event;

/**
 * Admin event listener exception. This exception can be thrown by event
 * listeners to indicate failure while processing the event.
 */
public class AdminEventListenerException extends java.lang.Exception {

    /**
     * Creates a new instance of <code>AdminEventListenerException</code>
     * without detail message.
     */
    public AdminEventListenerException() {
    }

    /**
     * Constructs an instance of <code>AdminEventListenerException</code> with
     * the specified detail message.
     * @param msg the detail message.
     */
    public AdminEventListenerException(String msg) {
        super(msg);
    }

    /**
     * Constructs an instance of <code>AdminEventListenerException</code> with
     * the specified detail message and root cause.
     * @param msg the detail message.
     * @param cause root cause of the exception 
     */
    public AdminEventListenerException(String msg, Throwable cause) {
        super(msg, cause);
    }

    /**
     * Constructs an instance of <code>AdminEventListenerException</code> with
     * the specified root cause. The message for the exception is derived from
     * cause.getMessage() if cause is not null, otherwise the message is null.
     * @param cause root cause of the exception 
     */
    public AdminEventListenerException(Throwable cause) {
        super(cause);
    }
}
