/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */


package com.sun.enterprise.connectors.inflow;

import com.sun.ejb.MessageBeanClient;
import com.sun.ejb.MessageBeanClientFactory;
import com.sun.ejb.MessageBeanListener;
import com.sun.ejb.MessageBeanProtocolManager;
import com.sun.enterprise.deployment.EjbMessageBeanDescriptor;

/**
 * MessageBeanClientFactory for connector message bean clients.
 *
 * @author Qingqing Ouyang
 */
public class ConnectorMessageBeanClientFactory 
    implements MessageBeanClientFactory {

    /**
     * Creates a <code>ConnectorMessageBeanClient</code> 
     * 
     * @param descriptor <code>EjbMessageBeanDescriptor.
     * @return <code>ConnectorMessageBeanClient<code>
     */
    public MessageBeanClient createMessageBeanClient(EjbMessageBeanDescriptor descriptor) {
        return new ConnectorMessageBeanClient(descriptor);
    }
}
