/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */


package com.sun.enterprise.deployapi.config;

import javax.enterprise.deploy.spi.DConfigBeanRoot;
import javax.enterprise.deploy.shared.ModuleType;

/**
 * This factory class is responsible for creating DConfigBeanRoot instances
 *
 * @author Jerome Dochez
 */
public class DConfigBeanRootFactoryImpl {
    
    /** Creates a new instance of DConfigBeanRootFactory */
    private DConfigBeanRootFactoryImpl() {
    }
  
    /**
     * @return the right DConfigBeanRoot implementation depending on the 
     * passed module type
     * 
     * @param the module type 
     * @return the correspondind DConfigBeanRoot instance
     */
    public static DConfigBeanRoot getDConfigBeanRootForType(ModuleType moduleType) {
        if (moduleType==null) {
            return null;
        } 
        return null;
    }
}

