/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
package com.sun.enterprise.diagnostics.collect;

import com.sun.enterprise.diagnostics.ReportConfig;
import com.sun.enterprise.diagnostics.Constants;
import java.util.ArrayList;
import java.util.List;


/**
 * @author mu125243
 */
public class PEHarvester extends Harvester {

    /**
     * Creates a new instance of PEHarvester
     */
    public PEHarvester(ReportConfig config) {
        super(config);
    }

    public void addRemoteCollectors() {
        boolean remote = (!(config.getExecutionContext().isLocal()));

        if (remote) {
            List instances = new ArrayList();
            instances.add(Constants.SERVER);
            addMonitoringInfoCollectors(null, instances);
        }
    }
}
