/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
package com.sun.enterprise.diagnostics.report.html;

/**
 * Text objects are comments, processing instructions, text nodes, and
 * attributes.
 */
public interface Text extends HTMLComponent {

    
    /**
     * Get the text value of this object.  For comments, this is the text inside
     * the comment markers.  For text nodes, this is just the text.  
     * For attributes, this is the value.
     * @return	The text contained in this object.
     */
    public String getValue();
    
    
    /**
     * Set the text value of this textual object.  Previous text is lost.
     * @param value	The new value of the text.
     */
    public void setValue(String value);
}
