/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
package com.sun.enterprise.security;

/**
 * LoginManager needs implementations of this class for accessing the
 * username and passwords.
 * Implementations of LoginDialog can use either character based terminal,
 * GUI, or any other form of querying to get hold of the username & password
 * from the user.
 *
 * @author Harish Prabandham
 */
public interface LoginDialog {
    /**
     * @return The username of the user.
     */
    public String getUserName();
    /**
     *@return The password of the user in plain text...
     */
    public String getPassword();
}
