/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
package com.sun.enterprise.security.auth;

import java.rmi.*;


/**
 * This method provides an implementation a Privilege
 * @author Harish Prabandham
 */

public class PrivilegeImpl implements Privilege {
    private String name;
    
    /**
     * Creates a new Privilege object..
     *
     */
    public PrivilegeImpl(String name) {
	this.name = name;
    }

    /**
     * Returns the hashCode ..
     */
    public int hashCode() {
	return name.hashCode();
    }

    /**
     * Returns the name of the name of the Privilege.
     * @return The name of the name of the Privilege.
     */
    public String getName() {
	return name;
    }

    /**
     * Compares equality...
     */
    public boolean equals(Object obj) {
	if(obj instanceof Privilege) {
	    Privilege priv = (Privilege) obj;
	    return getName().equals(priv.getName());
	} else {
	    return false;
	}
    }
}
