/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.server;
import com.sun.enterprise.autotxrecovery.TransactionRecovery;
import com.sun.logging.LogDomains;
import java.util.logging.Level;
import java.util.logging.Logger;
/**
 *
 * @author <a href="mailto:servesh.singh@sun.com>Servesh Singh</a>"
 * Date: Dec 3, 2004
 * @version $Revision: 1.3 $
 */

/**
 * It is a dummy implementation of Automatic Transaction Recovery in PE
 * It does not do anything. ResourceInstaller and RecoveryManager calls
 * these methods which do not do anything. These methods do the real job
 * in EEAutoTransactionServiceImpl class.
 */
public class TransactionRecoveryServicePEImpl implements TransactionRecovery{
    //Logger _logger = LogDomains.getLogger(LogDomains.CORE_LOGGER);
    public void start() {
    }
    /**
     * Raise the fence so that no other instance can
     * start the recovery at the same time.
     */
    public void raiseFence() {}
    /**
     * Lower the fence
     */
    public void lowerFence() {}

}

