/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.tools.common.util.diagnostics;

interface IReporterEnum
{
	// duplicates are for programmer convenience...
	static final int		OBJECT_DUMP	= 0;
	static final int		DUMP		= 0;
	static final int		VERBOSE		= 1;
	static final int		INFO		= 2;
	static final int		WARN		= 3;
	static final int		WARNING		= 3;
	static final int		ERROR		= 4;
	static final int		CRITICAL	= 5;
	static final int		CRIT		= 5;
	static final int		ASSERT		= 6;
	static final int		DISABLED	= 1000;
	static final String		severityNames[]		= { "Dump", "Verbose", "Info", "Warning", "Error", "Critical Error", "Assertion" };//NOI18N
}