/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * WebContainerStartStopOperation.java
 * This interface provides for a pluggable
 * implementation of functionality during the
 * stopping of an instance - for PE this is a no-op
 * for EE there is a real implementation
 * HERCULES:add
 *
 * Created on September 24, 2003, 3:38 PM
 */

package com.sun.enterprise.web;

import java.util.ArrayList;

/**
 *
 * @author  lwhite
 */
public interface WebContainerStartStopOperation {
    
    public ArrayList doPreStop();
    
    public void doPostStop(ArrayList list);
    
    public void init(EmbeddedWebContainer embedded);
}
