#!d:/bin/perl

#
# The contents of this file are subject to the terms 
# of the Common Development and Distribution License 
# (the License).  You may not use this file except in
# compliance with the License.
# 
# You can obtain a copy of the license at 
# https://glassfish.dev.java.net/public/CDDLv1.0.html or
# glassfish/bootstrap/legal/CDDLv1.0.txt.
# See the License for the specific language governing 
# permissions and limitations under the License.
# 
# When distributing Covered Code, include this CDDL 
# Header Notice in each file and include the License file 
# at glassfish/bootstrap/legal/CDDLv1.0.txt.  
# If applicable, add the following below the CDDL Header, 
# with the fields enclosed by brackets [] replaced by
# you own identifying information: 
# "Portions Copyrighted [year] [name of copyright owner]"
# 
# Copyright 2006 Sun Microsystems, Inc. All rights reserved.
#

$sgml_location = $ARGV[0];
$xml_location  = $ARGV[1];

$SX="sx";
$DCL="solbook.dcl";

print("sgml_location = ".$sgml_location);
print("\nxml_location = ".$xml_location."\n");

opendir(DIR, $sgml_location) || die ("cannot open $sgml_location");
@file_names = readdir(DIR);
foreach $file_name (@file_names)
{
   $file = $sgml_location."/".$file_name;
   if (-f $file) 
   {
      if ($file_name =~ /(.*)\.1$/)
      {
         $xml_file = $xml_location."/".$1.".xml";

         open (File1, "<$file");
         open (File2, ">$file.temp");

         while (<File1>) {
            s/\<\?Pub.*?>//g;
            s/\<\/?replaceable\>//g;
            s/asadmin-//g;
            s/\<arg\> */[/g;
            s/\<\/arg\> */] /g;
            s/\<optional\> */\<optional\>[/g;
            s/\<\/optional\> */\<\/optional\>] /g;
            s/\<option\>/-/g;
            s/\<\/option\>//g;
            #print "$_";
            print File2 $_;
         }
         close(File1);
         close(File2);
         #call sx to convert sgml to xml
         system("$SX -xlower -butf-8 -xndata -E 0 -fsx.errs -c $DCL $file.temp > $xml_file");
         unlink($file.".temp");
      }
   }
}
closedir(DIR);

