/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.jdo.api.persistence.support;

/**
 * FieldMapping inteface is information of a column element for
 * external user.
 * @author Shing Wai Chan
 */
public interface FieldMapping {
    /**
     * This method will return int corresponding to java.sql.Types.
     */
    public int getColumnType();

    /**
     * This method will return the name of the column.
     */
    public String getColumnName();

    /**
     * This method return -1 if column length is unknown.
     */
    public int getColumnLength();
}
