/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * JDODuplicateObjectIdException.java
 *
 * Created on May 06, 2002
 */

package com.sun.jdo.api.persistence.support;

/** JDODuplicateObjectIdException is thrown in case this PersistenceManager
 * has another instance with the same Object Id in its cache.
 *
 * @author  Marina Vatkina
 * @version 0.1
 */
public class JDODuplicateObjectIdException extends JDOUserException
{
    /**
     * Creates a new <code>JDODuplicateObjectIdException</code> without detail message.
     */
    public JDODuplicateObjectIdException() 
    {
    }

    /**
     * Constructs a new <code>JDODuplicateObjectIdException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public JDODuplicateObjectIdException(String msg) 
    {
        super(msg);
    }
    
    /**
      * Constructs a new <code>JDODuplicateObjectIdException</code> with the specified detail message
      * and nested Exception.
      * @param msg the detail message.
      * @param nested the nested <code>Exception</code>.
      */
    public JDODuplicateObjectIdException(String msg, Exception nested) 
    {
        super(msg, nested);
    }

    /** Constructs a new <code>JDODuplicateObjectIdException</code> with the specified detail message
     * and failed object array.
     * @param msg the detail message.
     * @param failed the failed object array.
     */
    public JDODuplicateObjectIdException(String msg, Object[] failed) {
        super(msg, failed);
    }
 
    /** Constructs a new <code>JDODuplicateObjectIdException</code> with the specified detail message,
     * nested exception, and failed object array.
     * @param msg the detail message.
     * @param nested the nested <code>Exception</code>.
     * @param failed the failed object array.
     */
    public JDODuplicateObjectIdException(String msg, Exception nested, Object[] failed) {
        super(msg, nested, failed);
    }
}
