/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * JDOQueryException.java
 *
 * Created on March 28, 2000
 */

package com.sun.jdo.api.persistence.support;

/** 
 *
 * @author  Michael Bouschen
 * @version 0.1
 */
public class JDOQueryException 
    extends JDOUserException
{
    /**
     * Creates a new <code>JDOQueryException</code> without detail message.
     */
    public JDOQueryException() 
    {
    }

    /**
     * Constructs a new <code>JDOQueryException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public JDOQueryException(String msg) 
    {
        super(msg);
    }
    
    /**
      * Constructs a new <code>JDOQueryException</code> with the specified detail message
      * and nested Exception.
      * @param msg the detail message.
      * @param nested the nested <code>Exception</code>.
      */
    public JDOQueryException(String msg, Exception nested) 
    {
        super(msg, nested);
    }
}
