/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * SCO.java
 *
 * created May 9, 2000
 *
 * @author Marina Vatkina
 * @version 1.0
 */

package com.sun.jdo.spi.persistence.support.sqlstore;

public interface SCO
{
	/**
         * Returns the field name
	 * 
         * @return field name as java.lang.String
         */
	String getFieldName();

	/**
         * Returns the owner object of the SCO instance
	 * 
         * @return owner object
         */
	Object getOwner();

	/**
         * Nullifies references to the owner Object and Field
         */
        void unsetOwner();

	/**
         * Apply changes (can be a no-op)
	 */
	void applyUpdates(StateManager sm, boolean modified);

	/**
         * Marks object dirty
	 *
	 * @return StateManager associated with the owner
	 */
	StateManager makeDirty();

        /**
         * Creates clone with the same owner and field value.
         * Used for the beforeImage.
         */
        Object cloneInternal();
}
