/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * PrimitiveType.java
 *
 * Created on March 8, 2000
 */

package com.sun.jdo.spi.persistence.support.sqlstore.query.util.type;

/**
 * Super class for boolean type, char type,
 * and all numeric types.
 *
 * @author  Michael Bouschen
 * @version 0.1
 */
public class PrimitiveType
  extends Type
{
    /**
     *
     */
    protected WrapperClassType wrapper;

    /**
     *
     */
    public PrimitiveType(String name, Class clazz, int enumType)
    {
        super(name, clazz, enumType);
    }

    /**
     *
     */
    public boolean isCompatibleWith(Type type)
    {
        if (type instanceof PrimitiveType)
            return ((PrimitiveType)type).clazz.isAssignableFrom(clazz);
        else
            return false;
    }

    /**
     *
     */
    public WrapperClassType getWrapper()
    {
        return wrapper;
    }

    /**
     *
     */
    public void setWrapper(WrapperClassType wrapper)
    {
        this.wrapper = wrapper;
    }


}
