/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * ConstraintFieldDesc.java
 *
 * Create on March 3, 2000
 *
 */

package com.sun.jdo.spi.persistence.support.sqlstore.sql.constraint;

import com.sun.jdo.spi.persistence.support.sqlstore.model.LocalFieldDesc;
import com.sun.jdo.spi.persistence.support.sqlstore.sql.generator.QueryPlan;


/**
 */
public class ConstraintFieldDesc extends ConstraintField {
    public LocalFieldDesc desc;

    public int ordering;

    public ConstraintFieldDesc(LocalFieldDesc desc) {
        super();

        this.desc = desc;
        this.ordering = 0;
    }

    public ConstraintFieldDesc(LocalFieldDesc desc,
                               int ordering) {
        super();

        this.desc = desc;
        this.ordering = ordering;
    }
    
    public ConstraintFieldDesc(LocalFieldDesc desc,
                               QueryPlan plan) {
        super();

        this.desc = desc;
        this.originalPlan = plan;
        this.ordering = 0;
    }
    

    public ConstraintFieldDesc(LocalFieldDesc desc,
                               QueryPlan plan,
                               int ordering) {
        super();

        this.desc = desc;
        this.originalPlan = plan;
        this.ordering = ordering;
    }
}
