/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * ConstraintOperation.java
 *
 * Create on March 3, 2000
 *
 */

package com.sun.jdo.spi.persistence.support.sqlstore.sql.constraint;

import com.sun.jdo.spi.persistence.support.sqlstore.ActionDesc;

/**
 */
public class ConstraintOperation extends ConstraintNode {
    public static final int PROP_ORDERBY = 1;

    public static final int PROP_ORDERBY_DESC = 2;

    public int operation;

    public ConstraintOperation() {
        super();
    }

    public ConstraintOperation(int operation) {
        super();

        this.operation = operation;
    }


    public int hasProperty(int propertyKey) {
        // RESOLVE:  We should probably get rid of this and standardize on the
        // SqlRetrieveDesc.GetOperationInfo method.
        if (propertyKey == PROP_ORDERBY) {
            if (operation == ActionDesc.OP_ORDERBY
                    || operation == ActionDesc.OP_ORDERBY_DESC) {
                return ConstraintNode.PROP_TRUE;
            } else {
                return ConstraintNode.PROP_FALSE;
            }
        }
        return ConstraintNode.PROP_UNKNOWN;
    }
}
