/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package sample;

import javax.resource.cci.*;
import java.io.Serializable;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;


public class CustomerRecordImpl extends RecordImpl 
             implements CustomerRecord, Serializable, Streamable {
  
  private String custName;
  private String custAddress;
  private String custId;
  
  public
  CustomerRecordImpl() {
  }

  // Set the name of Customer
  public void setName(String name) {
    this.custName = name;
  }

  // Set the Id of Customer
  public void setId(String custId) {
    this.custId = custId;
  }

  // Set the address of Customer
  public void setAddress(String address) {
    this.custAddress = address;
  }

  // get the name of Customer
  public String getName() {
    return custName;
  }

  // get the Id of Customer
  public String getId() {
    return custId;
  }

  // Set the name of Customer
  public String getAddress() {
    return custAddress;
  }

  // Read data from an InputStream and initialize fields
  public
  void read(InputStream istream) throws IOException {
    super.read(istream);
    //....
  }
  

  // Write fields of a Streamable object to an OutputStream
  public
  void write(OutputStream ostream) throws IOException {
    super.write(ostream);
    //...
  }
}
