/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the "License").  You may not use this file except 
 * in compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * glassfish/bootstrap/legal/CDDLv1.0.txt or 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html. 
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * HEADER in each file and include the License file at 
 * glassfish/bootstrap/legal/CDDLv1.0.txt.  If applicable, 
 * add the following below this CDDL HEADER, with the 
 * fields enclosed by brackets "[]" replaced with your 
 * own identifying information: Portions Copyright [yyyy] 
 * [name of copyright owner]
 */
// Copyright (c) 1998, 2006, Oracle. All rights reserved.  
package oracle.toplink.essentials.internal.parsing.ejbql.antlr273;

import persistence.antlr.TokenBuffer;

//java imports
import java.io.StringReader;

//toplink imports
import oracle.toplink.essentials.internal.parsing.ejbql.antlr273.EJBQLLexer;
import oracle.toplink.essentials.internal.parsing.ejbql.antlr273.EJBQLParser;

/*****************************************************************
 * EJBQLParserBuilder constructs the parser for EJBQL.
 * This is specific to ANTLR version 2.7.3
 *****************************************************************
 */
public class EJBQLParserBuilder {

    /**
     * INTERNAL
     * Build a parser for the passed ejbql string, for ANTLR version 2.7.3
     */
    public static EJBQLParser buildParser(String ejbqlString) {
        EJBQLLexer lexer = new EJBQLLexer(new StringReader(ejbqlString));
        TokenBuffer buffer = new TokenBuffer(lexer);
        EJBQLParser parser = new EJBQLParser(buffer);
        parser.setEjbqlString(ejbqlString);
        return parser;
    }
}
