/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the "License").  You may not use this file except 
 * in compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * glassfish/bootstrap/legal/CDDLv1.0.txt or 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html. 
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * HEADER in each file and include the License file at 
 * glassfish/bootstrap/legal/CDDLv1.0.txt.  If applicable, 
 * add the following below this CDDL HEADER, with the 
 * fields enclosed by brackets "[]" replaced with your 
 * own identifying information: Portions Copyright [yyyy] 
 * [name of copyright owner]
 */
// Copyright (c) 1998, 2005, Oracle. All rights reserved.  
package oracle.toplink.essentials.internal.sessions;

import oracle.toplink.essentials.internal.identitymaps.CacheKey;
import java.util.Vector;

public class AggregateObjectChangeSet extends ObjectChangeSet {

    /**
     * The default constructor is used only by SDK XML project for mapping ObjectChangeSet
     */
    public AggregateObjectChangeSet() {
        super();
    }

    /**
     * This constructor is used to create an ObjectChangeSet that represents an aggregate object.
     */
    public AggregateObjectChangeSet(Object cloneObject, UnitOfWorkChangeSet parent, boolean isNew) {
        super(cloneObject, parent, isNew);
    }

    /**
     * This constructor is used to create an ObjectChangeSet that represents a regular object.
     */
    public AggregateObjectChangeSet(Vector primaryKey, Object cloneObject, UnitOfWorkChangeSet parent, boolean isNew) {
        super(primaryKey, cloneObject, parent, isNew);
    }

    public CacheKey CacheKey() {
        return null;
    }

    public boolean isAggregate() {
        return true;
    }
}
