/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.gjc.spi;

import javax.resource.spi.endpoint.MessageEndpointFactory;
import javax.resource.spi.ActivationSpec;
import javax.resource.NotSupportedException;
import javax.transaction.xa.XAResource;
import javax.resource.spi.BootstrapContext;

/**
 * <code>ResourceAdapter</code> implementation for Generic JDBC Connector.
 *
 * @version	1.0, 02/08/05
 * @author	Evani Sai Surya Kiran
 */
public class ResourceAdapter implements javax.resource.spi.ResourceAdapter {

    /**
     * Empty method implementation for endpointActivation
     * which just throws <code>NotSupportedException</code>
     *
     * @param	mef	<code>MessageEndpointFactory</code>
     * @param	as	<code>ActivationSpec</code>
     * @throws	<code>NotSupportedException</code>
     */
    public void endpointActivation(MessageEndpointFactory mef, ActivationSpec as) throws NotSupportedException {
        throw new NotSupportedException("This method is not supported for this JDBC connector");
    }
    
    /**
     * Empty method implementation for endpointDeactivation
     *
     * @param	mef	<code>MessageEndpointFactory</code>
     * @param	as	<code>ActivationSpec</code>
     */
    public void endpointDeactivation(MessageEndpointFactory mef, ActivationSpec as) {
        
    }
    
    /**
     * Empty method implementation for getXAResources
     * which just throws <code>NotSupportedException</code>
     *
     * @param	specs	<code>ActivationSpec</code> array
     * @throws	<code>NotSupportedException</code>
     */
    public XAResource[] getXAResources(ActivationSpec[] specs) throws NotSupportedException {
        throw new NotSupportedException("This method is not supported for this JDBC connector");
    }
    
    /**
     * Empty implementation of start method
     *
     * @param	ctx	<code>BootstrapContext</code>
     */
    public void start(BootstrapContext ctx) {
    
    }
    
    /**
     * Empty implementation of stop method
     */
    public void stop() {
    
    }
    
}
