/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package javax.management.j2ee.statistics;

/**
 * Specifies statistics provided by a JCA resource
 */
public interface JCAStats extends Stats {
    /**
     * Returns an array of JCAConnectionStats that provide statistics about
     * the non-pooled connections associated with the referencing JCA resource statistics
     * @return JCAConnectionStats []
     */
    JCAConnectionStats[] getConnections();

    /**
     * Returns an array of JCAConnectionPool Stats that provide statistics about
     * the connection pools associated with the referencing JCA resource statistics
     * @return JCAConnectionPoolStats []
     */
    JCAConnectionPoolStats[] getConnectionPools();
}
