#
# The contents of this file are subject to the terms 
# of the Common Development and Distribution License 
# (the License).  You may not use this file except in
# compliance with the License.
# 
# You can obtain a copy of the license at 
# https://glassfish.dev.java.net/public/CDDLv1.0.html or
# glassfish/bootstrap/legal/CDDLv1.0.txt.
# See the License for the specific language governing 
# permissions and limitations under the License.
# 
# When distributing Covered Code, include this CDDL 
# Header Notice in each file and include the License file 
# at glassfish/bootstrap/legal/CDDLv1.0.txt.  
# If applicable, add the following below the CDDL Header, 
# with the fields enclosed by brackets [] replaced by
# you own identifying information: 
# "Portions Copyrighted [year] [name of copyright owner]"
# 
# Copyright 2006 Sun Microsystems, Inc. All rights reserved.
#

# SPARC_SOLARIS_2.5 rules

#
# AR[n]_TARGET, AR[n]_OBJS 
#

ifdef AR_TARGET
AR_OBJ_INT=$(addsuffix .$(OBJ),$(AR_OBJS))
REAL_AR_OBJS=$(addprefix $(OBJDIR)/,$(AR_OBJ_INT))
$(OBJDIR)/$(LIBPREFIX)$(AR_TARGET).$(STATIC_LIB_SUFFIX): $(REAL_AR_OBJS)
	$(RM) -f $@
	$(CC) -xar -ptr$(OBJDIR) -o $@ $(REAL_AR_OBJS) $(AR_NONPARSED_OBJS)
endif

ifdef AR1_TARGET
AR1_OBJ_INT=$(addsuffix .$(OBJ),$(AR1_OBJS))
REAL_AR1_OBJS=$(addprefix $(OBJDIR)/,$(AR1_OBJ_INT))
$(OBJDIR)/$(LIBPREFIX)$(AR1_TARGET).$(STATIC_LIB_SUFFIX): $(REAL_AR1_OBJS)
	$(RM) -f $@
	$(CC) -xar -ptr$(OBJDIR) -o $@ $(REAL_AR1_OBJS) $(AR1_NONPARSED_OBJS)
endif

ifdef AR2_TARGET
AR2_OBJ_INT=$(addsuffix .$(OBJ),$(AR2_OBJS))
REAL_AR2_OBJS=$(addprefix $(OBJDIR)/,$(AR2_OBJ_INT))
$(OBJDIR)/$(LIBPREFIX)$(AR2_TARGET).$(STATIC_LIB_SUFFIX): $(REAL_AR2_OBJS)
	$(RM) -f $@
	$(CC) -xar -ptr$(OBJDIR) -o $@ $(REAL_AR2_OBJS) $(AR2_NONPARSED_OBJS)
endif

ifdef AR3_TARGET
AR3_OBJ_INT=$(addsuffix .$(OBJ),$(AR3_OBJS))
REAL_AR3_OBJS=$(addprefix $(OBJDIR)/,$(AR3_OBJ_INT))
$(OBJDIR)/$(LIBPREFIX)$(AR3_TARGET).$(STATIC_LIB_SUFFIX): $(REAL_AR3_OBJS)
	$(RM) -f $@
	$(CC) -xar -ptr$(OBJDIR) -o $@ $(REAL_AR3_OBJS) $(AR3_NONPARSED_OBJS)
endif

#
# DLL[n]_MAPFILE
#

ifndef NO_SPARC_SOLARIS_OBJDIR_MAPFILE_RULE
$(OBJDIR)/%.$(MAPFILE_SUFFIX):%.$(VERSIONSFILE_SUFFIX) %.$(SPECFILE_SUFFIX)
	@$(MAKE_OBJDIR)
	$(SPEC2MAP) -l $(OBJDIR)/$*.$(DYNAMIC_LIB_SUFFIX) -a sparc -o $@ -v $^
endif #NO_SPARC_SOLARIS_OBJDIR_MAPFILE_RULE

ifdef DLL_MAPFILE
DLL_EXTRA+=-M $(DLL_MAPFILE)
endif
ifdef DLL1_MAPFILE
DLL1_EXTRA+=-M $(DLL1_MAPFILE)
endif
ifdef DLL2_MAPFILE
DLL2_EXTRA+=-M $(DLL2_MAPFILE)
endif
ifdef DLL3_MAPFILE
DLL3_EXTRA+=-M $(DLL3_MAPFILE)
endif
ifdef DLL4_MAPFILE
DLL4_EXTRA+=-M $(DLL4_MAPFILE)
endif
ifdef DLL5_MAPFILE
DLL5_EXTRA+=-M $(DLL5_MAPFILE)
endif

ifdef BSC_TARGET
$(BSC_TARGET): ; \
	$(ECHO) The $@ file is for NT only. > $@
endif

ifdef SB_INIT
$(SB_INIT): ; \
	$(ECHO) export / into $(SB_DIR) > $@
endif

EXPORT__LIBS=$(EXPORT_LIBRARIES) $(EXPORT_DYNAMIC_LIBRARIES)


