/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/**
 * Wrapper class for Cache FieldConstraint
 * Author: Sreenivas Munnangi
 * Date: 19mar2002
 *
 */

package com.sun.enterprise.tools.common.dd.webapp;

import java.util.*;

// BEGIN_NOI18N

public class WebPropCacheMap {

	private String cacheTarget;
	private String cacheTargetValue;
	private String cacheRef;
	private Object cacheRefValue;

	public WebPropCacheMap() {
	}

	public WebPropCacheMap(String cacheTarget, String cacheTargetValue,
			       String cacheRef, Object cacheRefValue ) {
		this.cacheTarget = cacheTarget;
		this.cacheTargetValue = cacheTargetValue;
		this.cacheRef = cacheRef;
		this.cacheRefValue = cacheRefValue;
	}

	public String getCacheTarget() {
		return cacheTarget;
	}

	public String getCacheRef() {
		return cacheRef;
	}

	public Object getCacheRefValue() {
		return cacheRefValue;
	}

	public String getCacheTargetValue() {
		return cacheTargetValue;
	}

	public void setCacheTarget(String cacheTarget) {
		this.cacheTarget = cacheTarget;
	}

	public void setCacheRef(String cacheRef) {
		this.cacheRef = cacheRef;
	}

	public void setCacheRefValue(Object cacheRefValue) {
		this.cacheRefValue = cacheRefValue;
	}

	public void setCacheTargetValue(String cacheTargetValue) {
		this.cacheTargetValue = cacheTargetValue;
	}

}

