/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.appserv.web.cache.mapping;

public class Constants {
    /** field scope 
     */
    public static final int SCOPE_CONTEXT_ATTRIBUTE = 1;
    public static final int SCOPE_REQUEST_HEADER = 2; 
    public static final int SCOPE_REQUEST_PARAMETER = 3; 
    public static final int SCOPE_REQUEST_COOKIE = 4; 
    public static final int SCOPE_REQUEST_ATTRIBUTE = 5; 
    public static final int SCOPE_SESSION_ATTRIBUTE = 6; 
    public static final int SCOPE_SESSION_ID = 7; 

    public static final String[] SCOPE_NAMES = {
            "", "context.attribute", "request.header", "request.parameter",
            "request.cookie", "request.attribute", "session.attribute",
            "session.id"
        };

    public static final String[] KEY_PREFIXES = {
            "", "ca.", "rh.", "rp.", "rc.", "ra.", "sa.", "si." };

    // field match expression 
    public static final int MATCH_EQUALS = 1; 
    public static final int MATCH_GREATER = 2; 
    public static final int MATCH_LESSER = 3; 
    public static final int MATCH_NOT_EQUALS = 4; 
    public static final int MATCH_IN_RANGE = 5;

    public static final String[] EXPR_NAMES = {
        "", "'equals'", "'greater'", "'lesser'", "'not-equals'", "'in-range'"
    };

    // misc. constants
}
