/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.appserv.web.taglibs.cache;

/**
 * Constants used in the Cache tag library.
 */
class Constants
{
    /**
     * The default timeout for cached response.
     */
    public static final int DEFAULT_JSP_CACHE_TIMEOUT = 60;

    /**
     * The context attribute name used to keep store the actual cache.
     */
    public static final String JSPTAG_CACHE_KEY = "com.sun.appserv.web.taglibs.cache.tag_cache";

    /**
     * The request attribute name used to keep track of the cache tag counter.
     * This is used to generate unique keys for every cache tag in a page.
     */
    public static final String JSPTAG_COUNTER_KEY = "com.sun.appserv.web.taglibs.cache.tag_counter";

}
