/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.iiop;

import org.omg.CORBA.Policy;

import com.sun.enterprise.deployment.EjbDescriptor;

public class CSIv2Policy extends org.omg.CORBA.LocalObject
                    implements org.omg.CORBA.Policy {
    
    private EjbDescriptor ejbDescriptor;

    public CSIv2Policy(EjbDescriptor ejbDescriptor) {
	this.ejbDescriptor = ejbDescriptor;
    }

    public int policy_type() {
	return POARemoteReferenceFactory.CSIv2_POLICY_TYPE;
    }

    public org.omg.CORBA.Policy copy() {
	return new CSIv2Policy(ejbDescriptor);
    }

    public void destroy() {
    }

    EjbDescriptor getEjbDescriptor() {
	return ejbDescriptor;
    }
}
