/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * Copyright 2004-2005 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */
 
package com.sun.jts.CosTransactions;

import org.omg.CosTransactions.Status;
import org.omg.CosTransactions.Resource;
import org.omg.CosTransactions.RecoveryCoordinator;

/** 
 * This used for mimicking a RecoveryCoordinator behavior.
 *
 * @version 1.0
 * @author  Ram Jeyaraman
 */
class TxInflowRecoveryCoordinator extends org.omg.CORBA.LocalObject
        implements RecoveryCoordinator {   
            
    /**
     * Simply returns unknown status. This forces the subordinate to wait
     * until the superior site completes the pending in-doubt transaction.
     *
     * @param res The Resource to be recovered. This is ignored.
     *
     * @return unknown status
     */
    public Status replay_completion(Resource res) {        
        return Status.StatusUnknown;
    }   
}
